$droplocal options_error

$droplocal valid_national_regional
* Check that either regional or national is set
$ifthen %national%==yes
$if not %regional%==yes $setlocal valid_national_regional
$else
$if %regional%==yes $setlocal valid_national_regional
$endif
* Error if both regional and national are set or none of them
$ifthen not setlocal valid_national_regional
$setlocal options_error "national/regional"
$error "Exactly one of regional/national must be selected."
$endif

* Check that scenario is set to one of the allowed values
$droplocal valid_scenario
$if %scenario%==GP $setlocal valid_scenario
$if %scenario%==RP $setlocal valid_scenario
$if %scenario%==CM $setlocal valid_scenario
$if %scenario%==REF $setlocal valid_scenario
* Error if correct scenario is not selected
$ifthen not setlocal valid_scenario
$if setlocal options_error $setlocal options_error "%options_error%, "
$if not setlocal options_error $setlocal options_error ""
$setlocal options_error "%options_error%scenario"
$error "One of the allowed scenarios (REF, RP, CM, GP) must be selected."
$endif

$if setlocal options_error $abort "Invalid options: %options_error%. Aborting compilation."