*****DEMAND***********
demand(I_reg,T)=demand_ref(I_reg,T);
demand_in(I_reg,start)        =demand(I_reg,start);

demand_RES_in(I_reg,RES_years) = Demand_RES_in_ref(I_reg,RES_years);

load_profile(an_hour,I_reg)        =        load_profile_ref(an_hour,I_reg)        ;

CO2_reference(I_reg,CO2_years)        =        CO2_reference_ref(I_reg,CO2_years)        ;
demand_heat_in(I_reg,eco_years)        =        demand_heat_in_ref(I_reg,eco_years)        ;


CHP_fraction_in(I_reg,eco_years)        =        CHP_fraction_in_ref(I_reg,eco_years)        ;

demand_BP_in(I_reg,former_start)        =        demand_BP_in_ref(I_reg,former_start)        ;

heat_load_profile(an_hour,I_reg)        =        heat_load_profile_ref(an_hour,I_reg)        ;

*********FUEL*************
Cum_bio_supply2020(I_reg,bio_class)=Cum_bio_supply2020_ref(I_reg,bio_class);
Cum_bio_supply2050(I_reg,bio_class)=Cum_bio_supply2050_ref(I_reg,bio_class);

Cum_waste_supply2020(I_reg,waste_class)=Cum_waste_supply2020_ref(I_reg,waste_class);
Cum_waste_supply2050(I_reg,waste_class)=Cum_waste_supply2050_ref(I_reg,waste_class);
Fc_national_waste(I_reg,waste_class)=Fc_national_waste_ref(I_reg,waste_class);
fuel_pot(I_reg,thermal_pot)=fuel_pot_ref(I_reg,thermal_pot);
valid_CCS(I_reg,"BCCS",CON)=no;
valid_CCS(I_reg,"BWCCS",CON)=no;
valid_CCS(I_reg,"BCCS",CON)$(fuel_pot(I_reg,"B") gt 0)=yes;
valid_CCS(I_reg,"BWCCS",CON)$(fuel_pot(I_reg,"B") gt 0)=yes;

BP_E_in(I_reg,B_P)=BP_E_in_ref(I_reg,B_P);

***THERMAL****
***WIND***
***HYDRO***
hydro_stat(I_reg,hydro)=hydro_stat_ref(I_reg,hydro);
hydro_prod(I_reg,hydro_class)=hydro_prod_ref(I_reg,hydro_class);
residual_P_hydroclass(I_reg,"run_riv",T)$((hydro_prod(I_reg,"run_riv")+hydro_prod(I_reg,"reg")) gt 0)=(hydro_prod(I_reg,"run_riv")/(hydro_prod(I_reg,"run_riv")+hydro_prod(I_reg,"reg")))*residual_P_hydro(I_reg,"RO",T);
residual_P_hydroclass(I_reg,"reg",T)$((hydro_prod(I_reg,"run_riv")+hydro_prod(I_reg,"reg")) gt 0)=(hydro_prod(I_reg,"reg")/(hydro_prod(I_reg,"run_riv")+hydro_prod(I_reg,"reg")))*residual_P_hydro(I_reg,"RO",T);
EPH_LF(an_hour,I_reg)=EPH_LF_ref(an_hour,I_reg);
hydro_prod_max(regions,"reg",T)=0;
*hydro_prod_max(I_reg,"reg",T)$(residual_P_hydroclass(I_reg,"reg","2010") gt 0)=(hydro_prod(I_reg,"reg")/residual_P_hydroclass(I_reg,"reg","2010"))*smax(year,residual_P_hydroclass(I_reg,"reg",year));

hydro_prod_max(dbcountry,hydro_class,T)=hydro_prod_ref(dbcountry,hydro_class);
hydro_prod_max("Norway","reg",T)$((T_num(T) lt 2020) and(T_num(T) gt 2014))=hydro_prod_ref("Norway","reg")+(5/(2020-T_num(T)));
hydro_prod_max("Norway","reg",T)$((T_num(T) lt 2030) and(T_num(T) ge 2020))=hydro_prod_max("Norway","reg",'2019')+(5/(2030-T_num(T)));
hydro_prod_max("Norway","reg",T)$(T_num(T) ge 2030)=hydro_prod_max("Norway","reg",'2029');
hydro_prod_max("Norway","run_riv",T)$((T_num(T) lt 2020) and(T_num(T) gt 2014))=hydro_prod_ref("Norway","run_riv")+(1.5/(2020-T_num(T)));
hydro_prod_max("Norway","run_riv",T)$((T_num(T) lt 2030) and(T_num(T) ge 2020))=hydro_prod_max("Norway","run_riv",'2019')+((3-1.5)/(2030-T_num(T)));
hydro_prod_max("Norway","run_riv",T)$(T_num(T) ge 2030)=hydro_prod_max("Norway","run_riv",'2029');
***Solar***
valid_solar_sites(solar_sites)=no;
*valid_solar_sites(solar_sites)$(solar_pot(solar_sites) gt 0) = yes;
loop(I_reg,
         valid_solar_sites(solar_sites)$(solar_sites_to_regions(solar_sites,I_reg) and (solar_pot_buildings(solar_sites) gt 0 or solar_pot_centralized(solar_sites) gt 0))=yes;
)
;

****OTHERS*****
EPO_LF1(an_hour,I_reg,others)=EPO_LF1_ref(an_hour,I_reg,others);
others_full_Lh(I_reg,others)=others_full_Lh_ref(I_reg,others);
small_RO_pot(I_reg,small_RO)=small_RO_pot_ref(I_reg,small_RO);

***GEO-THERMAL***
***CCS***
CO2_store_cost(I_reg,store_prop)=CO2_store_cost_ref(I_reg,store_prop);

***INTERCONNECTORS*****
EPCON(exp_region,imp_region)=EPCON_ref(exp_region,imp_region);
NP_trade_Ic(export_reg,import_reg,year)=NP_trade_Ic_ref(export_reg,import_reg);

