*********************************************
***      Scenario assumptions             ***
***                                       ***
*********************************************

* Parameter ending _ref implies parameter is used for indata
*** DEMAND ***
Table demand_ref(dbcountry,T)
$if not %update_scenario% == "yes" $goto nodemandupdate

$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand_el!A3:AQ33 "O=%Scenario_path%demand_ref.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand_el!A38:AQ68 "O=%Scenario_path%demand_CM.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand_el!A73:AQ103 "O=%Scenario_path%demand_RP.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand_el!A108:AQ138 "O=%Scenario_path%demand_GP.INC"

$label nodemandupdate

$if %Scenario% == "REF" $include "%Scenario_path%demand_ref.INC"
$if %Scenario% == "CM" $include "%Scenario_path%demand_CM.INC"
$if %Scenario% == "RP" $include "%Scenario_path%demand_RP.INC"
$if %Scenario% == "GP" $include "%Scenario_path%demand_GP.INC"
;


Table load_profile_ref(an_hour,dbcountry)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Load!A3:AF8763 "O=%Scenario_path%load_profile.INC"
$include "%Scenario_path%load_profile.INC"
;

Table building_el_demand(dbcountry,sector)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=building_el_demand!A2:C31 "O=%Scenario_path%building_el_demand.INC"
$include "%Scenario_path%building_el_demand.INC"
;

Parameter solar_deduct_input(dbcountry)
/
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=building_el_demand!A37:B67 "O=%Scenario_path%Solar_deduct.INC"
$include "%Scenario_path%Solar_deduct.INC"
/
;

Table CO2_reference_ref(dbcountry,CO2_years)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A178:D208 "O=%Scenario_path%CO2_reference.INC"
$include "%Scenario_path%CO2_reference.INC"
;


Table demand_heat_in_ref(dbcountry,eco_years)
$if not %update_scenario% == "yes" $goto noCHPdemandupdate

$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A38:D68 "O=%Scenario_path%demand_heat_ref.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A38:D68 "O=%Scenario_path%demand_heat_CM.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A73:D103 "O=%Scenario_path%demand_heat_RP.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A73:D103 "O=%Scenario_path%demand_heat_GP.INC"

$label noCHPdemandupdate

$if %Scenario% == "REF" $include "%Scenario_path%demand_heat_ref.INC"
$if %Scenario% == "CM" $include "%Scenario_path%demand_heat_CM.INC"
$if %Scenario% == "RP" $include "%Scenario_path%demand_heat_RP.INC"
$if %Scenario% == "GP" $include "%Scenario_path%demand_heat_GP.INC"
;

$oneolcom

Table CHP_fraction_in_ref(dbcountry,eco_years)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A108:D138 "O=%Scenario_path%CHP_fraction.INC"
$include "%Scenario_path%CHP_fraction.INC"
;

Table demand_BP_in_ref(dbcountry,former_start)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A143:C173 "O=%Scenario_path%demand_BP_in.INC"
$include "%Scenario_path%demand_BP_in.INC"
;

Table heat_load_profile_ref(an_hour,dbcountry)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Heat_load!A3:AF8763 "O=%Scenario_path%heat_load.INC"
$include "%Scenario_path%heat_load.INC"
;
*** RES ***
Table Demand_RES_in_ref(dbcountry,RES_years)
$if not %update_scenario% == "yes" $goto noRESupdate

$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=RES!A3:R33 "O=%Scenario_path%RES_demand_ref.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=RES!A38:R68 "O=%Scenario_path%RES_demand_CM.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=RES!A73:R103 "O=%Scenario_path%RES_demand_RP.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=RES!A108:R138 "O=%Scenario_path%RES_demand_GP.INC"

$label noRESupdate

$if %Scenario% == "REF" $include "%Scenario_path%RES_demand_ref.INC"
$if %Scenario% == "CM" $include "%Scenario_path%RES_demand_CM.INC"
$if %Scenario% == "RP" $include "%Scenario_path%RES_demand_RP.INC"
$if %Scenario% == "GP" $include "%Scenario_path%RES_demand_GP.INC"
;

*** Fuel ***
Table Nuclear_cap_lim(dbcountry,T)
$if not %update_scenario% == "yes" $goto nonuclearupdate

$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Nuclear_lim!A3:AQ33 "O=%Scenario_path%nuclear_ref.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Nuclear_lim!A38:AQ68 "O=%Scenario_path%nuclear_CM.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Nuclear_lim!A73:AQ103 "O=%Scenario_path%nuclear_RP.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Nuclear_lim!A108:AQ138 "O=%Scenario_path%nuclear_GP.INC"

$label nonuclearupdate
$if %Scenario% == "REF" $include "%Scenario_path%nuclear_ref.INC"
$if %Scenario% == "CM" $include "%Scenario_path%nuclear_CM.INC"
$if %Scenario% == "RP" $include "%Scenario_path%nuclear_RP.INC"
$if %Scenario% == "GP" $include "%Scenario_path%nuclear_GP.INC"
;

Table Fc_in(thermal,WEO_years)
$if not %update_scenario% == "yes" $goto noFCupdate

$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Fuel!A2:I9 "O=%Scenario_path%FC_ref.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Fuel!A13:I20 "O=%Scenario_path%FC_CM.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Fuel!A24:I31 "O=%Scenario_path%FC_RP.INC"
$call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Fuel!A35:I42 "O=%Scenario_path%FC_GP.INC"

$label noFCupdate

$if %Scenario% == "REF" $include "%Scenario_path%FC_ref.INC"
$if %Scenario% == "CM" $include "%Scenario_path%FC_CM.INC"
$if %Scenario% == "RP" $include "%Scenario_path%FC_RP.INC"
$if %Scenario% == "GP" $include "%Scenario_path%FC_GP.INC"
;

Table Cum_bio_supply2020_ref(dbcountry,bio_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=biomass!A3:M33 "O=%Scenario_path%Bio_supply2020.INC"
$include "%Scenario_path%Bio_supply2020.INC"
;
Table Cum_bio_supply2050_ref(dbcountry,bio_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=biomass!A42:M72 "O=%Scenario_path%Bio_supply2050.INC"
$include "%Scenario_path%Bio_supply2050.INC"
;

Table Cum_waste_supply2020_ref(dbcountry,waste_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=waste!A3:M33 "O=%Scenario_path%waste_supply2020.INC"
$include "%Scenario_path%waste_supply2020.INC"
;
Table Cum_waste_supply2050_ref(dbcountry,waste_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=waste!A42:M72 "O=%Scenario_path%waste_supply2050.INC"
$include "%Scenario_path%waste_supply2050.INC"
;

Table Fc_national_waste_ref(dbcountry,waste_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=waste!A78:M108 "O=%Scenario_path%waste_costs.INC"
$include "%Scenario_path%waste_costs.INC"
;

Table fuel_pot_ref(dbcountry,thermal_pot)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=structure!A73:D103 "O=%Scenario_path%fuel_pot.INC"
$include "%Scenario_path%fuel_pot.INC"
;

Table BP_E_in_ref(dbcountry,B_P)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=structure!A108:C138 "O=%Scenario_path%BP_E_in.INC"
$include "%Scenario_path%BP_E_in.INC"
;

*** Thermal ***

Table eta_T_factors(thermal,plant_type,eta_prop)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=efficiency!A2:H26 "O=%Scenario_path%eta_T.INC"
$include "%Scenario_path%eta_T.INC"
;

*** Wind ***
Table wind_pot(nuts2,wind_type)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=wind_pot_nuts2!A19:K336 "O=%Scenario_path%wind_pot.INC"
$include "%Scenario_path%wind_pot.INC"
;

Table wind_input(an_hour,nuts2)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=wind_nuts2!A3:LG8763 "O=%Scenario_path%wind_input.INC"
$include "%Scenario_path%wind_input.INC"
;

Table wind_CF(nuts2,wind_type)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=wind_CF!A3:K319 "O=%Scenario_path%wind_CF.INC"
$include "%Scenario_path%wind_CF.INC"
;
*** Hydro ***
Table hydro_stat_ref(dbcountry,hydro)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Structure!A3:D33 "O=%Scenario_path%hydro_stat.INC"
$include "%Scenario_path%hydro_stat.INC"
;

Table hydro_prod_ref(dbcountry,hydro_class)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Hydro!A3:D33 "O=%Scenario_path%hydro_prod.INC"
$include "%Scenario_path%hydro_prod.INC"
;

Table EPH_LF_ref(an_hour,dbcountry)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Hydro!A40:AF8800 "O=%Scenario_path%LFH.INC"
$include "%Scenario_path%LFH.INC"
;
*** solar ***

*Parameter solar_pot(solar_sites);
*Parameter solar_pot(nuts2)
*/
*$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=solar_pot!A3:C319 "O=%Scenario_path%solar_pot.INC"
*$include "%Scenario_path%solar_pot.INC"
*/
*;

* loads solar capacity intensity (as fraction of rated Wp of the panel), cost coefficients for learning curve investment cost, and area for each solar_site
$gdxin %path%\solar_info.gdx
$loaddc solar_cap_intensity, solar_invest_cost_coef_a, solar_invest_cost_coef_b, solar_fixed_OM_cost_coef_a, solar_fixed_OM_cost_coef_b
$gdxin

* loads wind exponential learning curve investment cost coefficients
$gdxin %path%\wind_info.gdx
$loaddc wind_invest_cost_coef_a, wind_invest_cost_coef_b, wind_fixed_OM_cost_coef_a, wind_fixed_OM_cost_coef_b
$gdxin

* loads storage cost coefficients for learning curve investment cost
$gdxin %path%\storage_info.gdx
$loaddc storage_invest_cost_coef_a, storage_invest_cost_coef_b
$gdxin

* loads solar data written to a gdx file from DCS-CHP as an array(systemType, solar_site, hourlyproduction) over all systems, solar sites and hours of typical production
$gdxin %path%\solar_profiles.gdx
$loaddc solar_input_systems=solar_el_profiles,solar_pot_buildings,solar_pot_centralized
$gdxin
solar_input(solar_type,solar_sites,an_hour) =
         sum(solar_systems$solar_type_to_solar_systems(solar_type,solar_systems),
                 solar_input_systems(solar_systems,solar_sites,an_hour));
Loop(solar_type,
         If(sum(solar_systems$solar_type_to_solar_systems(solar_type,solar_systems),1)>1,
                 Abort "Solar types to systems mapping incorrect.";
         );
);

*Table  solar_input_opt_csi(an_hour,nuts2)
*$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=solar_opt_csi!A3:LG8763 "O=%Scenario_path%solar_input_opt_csi.INC"
*$include "%Scenario_path%solar_input_opt_csi.INC"
*;
*Table  solar_input_two_csi(an_hour,nuts2)
*$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=solar_two_csi!A3:LG8763 "O=%Scenario_path%solar_input_two_csi.INC"
*$include "%Scenario_path%solar_input_opt_csi.INC"
*;
*Table  solar_input_opt_cd_te(an_hour,nuts2)
*$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=solar_opt_cd_te!A3:LG8763 "O=%Scenario_path%solar_input_opt_cd_te.INC"
*$include "%Scenario_path%solar_input_opt_csi.INC"
*;
*Table  solar_input_two_cd_te(an_hour,nuts2)
*$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=solar_two_cd_te!A3:LG8763 "O=%Scenario_path%solar_input_two_cd_te.INC"
*$include "%Scenario_path%solar_input_opt_csi.INC"
*;
*** others ***
Table EPO_LF1_ref(an_hour,dbcountry,others)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=others!A3:EV8763 "O=%Scenario_path%EPO_LF1.INC"
$include "%Scenario_path%EPO_LF1.INC"
;

Table others_full_Lh_ref(dbcountry,others)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=others!A8772:G8802 "O=%Scenario_path%others_full_Lh.INC"
$include "%Scenario_path%others_full_Lh.INC"
;

Table small_RO_pot_ref(dbcountry,small_RO)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Structure!A143:C173 "O=%Scenario_path%small_RO_pot.INC"
$include "%Scenario_path%small_RO_pot.INC"
;

Table CO2_store_cost_ref(dbcountry,store_prop)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A213:D243 "O=%Scenario_path%CO2_store_cost_onshore.INC"
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Demand!A249:D279 "O=%Scenario_path%CO2_store_cost_offshore.INC"

$if %onshore_storage% == "yes" $include "%Scenario_path%CO2_store_cost_onshore.INC"
$if %onshore_storage% == "no" $include "%Scenario_path%CO2_store_cost_offshore.INC"
;
*CO2_tran_cost_ref(dbcountry,T)=5;
*CO2_store_cost_ref(dbcountry,T)=2;


Table eta_CCS_factors(CCS,plant_type,eta_prop)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=efficiency!A29:H44 "O=%Scenario_path%eta_CCS.INC"
$include "%Scenario_path%eta_CCS.INC"
;

*** Interconnectors ***
Table EPCON_ref(exp_region,imp_region)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Interconnectors!A3:AF33 "O=%Scenario_path%EPCON.INC"
$include "%Scenario_path%EPCON.INC"
;

Table NP_trade_Ic_ref(exp_region,imp_region)
$if %update_scenario% == "yes" $call=xls2gms "i=%scenario_path%Scenario_ELIN%scenario_date%.xlsx" R=Interconnectors!A38:AF68 "O=%Scenario_path%NP_trade_Ic.INC"
$include "%Scenario_path%NP_trade_Ic.INC"
;
********************************
