*** Time step division***

$ontext
parameter
load_level_diff(an_hour)
;

scalar
current_load_level
element_count
num1
num2
num3
num4
num5
num6
num7
num8
num9
num10
num11
num12
num13
num14
num15
num16
tot_num
;

loop(I_reg,
         current_load_level=smax(an_hour,sum(II_reg,load_profile(an_hour,II_reg)));

         repeat(
                 timestep_1(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1);
         until element_count ge 175);

         repeat(
                 timestep_2(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1);
         until element_count ge 438);

         repeat(
                 timestep_3(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1);
         until element_count ge 1095);

         repeat(
                 timestep_4(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1);
         until element_count ge 1752);

         repeat(
                 timestep_5(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1);
         until element_count ge 2409);

         repeat(
                 timestep_6(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1);
         until element_count ge 3066);

         repeat(
                 timestep_7(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1);
         until element_count ge 3723);

         repeat(
                 timestep_8(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1);
         until element_count ge 4380);

         repeat(
                 timestep_9(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1);
         until element_count ge 5037);

         repeat(
                 timestep_10(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1);
         until element_count ge 5694);

         repeat(
                 timestep_11(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1);
         until element_count ge 6351);

         repeat(
                 timestep_12(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1)+sum(an_hour$timestep_12(I_reg,an_hour),1);
         until element_count ge 7008);

         repeat(
                 timestep_13(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1)+sum(an_hour$timestep_12(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_13(I_reg,an_hour),1);
         until element_count ge 7665);

         repeat(
                 timestep_14(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1)+sum(an_hour$timestep_12(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_13(I_reg,an_hour),1)+sum(an_hour$timestep_14(I_reg,an_hour),1);
         until element_count ge 8322);

         repeat(
                 timestep_15(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1)+sum(an_hour$timestep_12(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_13(I_reg,an_hour),1)+sum(an_hour$timestep_14(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_15(I_reg,an_hour),1);
         until element_count ge 8585);

         repeat(
                 timestep_16(I_reg,an_hour)$(sum(II_reg,load_profile(an_hour,II_reg)) eq current_load_level)=yes;
                 load_level_diff(an_hour)=-1*sum(II_reg,load_profile(an_hour,II_reg))+current_load_level;
                 current_load_level=current_load_level-smin(an_hour$(load_level_diff(an_hour) gt 0),load_level_diff(an_hour));
                 element_count=sum(an_hour$timestep_1(I_reg,an_hour),1)+sum(an_hour$timestep_2(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_3(I_reg,an_hour),1)+sum(an_hour$timestep_4(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_5(I_reg,an_hour),1)+sum(an_hour$timestep_6(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_7(I_reg,an_hour),1)+sum(an_hour$timestep_8(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_9(I_reg,an_hour),1)+sum(an_hour$timestep_10(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_11(I_reg,an_hour),1)+sum(an_hour$timestep_12(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_13(I_reg,an_hour),1)+sum(an_hour$timestep_14(I_reg,an_hour),1)+
                                 sum(an_hour$timestep_15(I_reg,an_hour),1)+sum(an_hour$timestep_16(I_reg,an_hour),1);
         until element_count eq 8760);


);

num1=card(timestep_1)/card(I_reg);
num2=card(timestep_2)/card(I_reg);
num3=card(timestep_3)/card(I_reg);
num4=card(timestep_4)/card(I_reg);
num5=card(timestep_5)/card(I_reg);
num6=card(timestep_6)/card(I_reg);
num7=card(timestep_7)/card(I_reg);
num8=card(timestep_8)/card(I_reg);
num9=card(timestep_9)/card(I_reg);
num10=card(timestep_10)/card(I_reg);
num11=card(timestep_11)/card(I_reg);
num12=card(timestep_12)/card(I_reg);
num13=card(timestep_13)/card(I_reg);
num14=card(timestep_14)/card(I_reg);
num15=card(timestep_15)/card(I_reg);
num16=card(timestep_16)/card(I_reg);

tot_num=num1+num2+num3+num4+num5+num6+num7+num8+
         num9+num10+num11+num12+num13+num14+num15+num16;

$offtext
*$ontext
scalar
daycount
weekcount;
daycount=0;
Day(an_hour)=no;
while(daycount le 364,
* Base case time steps: day is 08-20 (12h), night is 20-08 (12h)
         Day(an_hour)$(ord(an_hour) ge 8+daycount*24 and ord(an_hour) lt 20+daycount*24)=yes;
* Asymmetrical time step run: day is 09-15 (6h), night is 15-09 (18h)
*         Day(an_hour)$(ord(an_hour) ge 9+daycount*24 and ord(an_hour) lt 15+daycount*24)=yes;
         daycount=daycount+1;
         )
;
Night(an_hour)=no;
Night(an_hour)$(not Day(an_hour))=yes;

weekcount=0;
Weekend(an_hour)=no;
while(weekcount le 52,
         Weekend(an_hour)$(ord(an_hour) ge 1+weekcount*168 and ord(an_hour) lt 25+weekcount*168)=yes;
         Weekend(an_hour)$(ord(an_hour) ge 145+weekcount*168 and ord(an_hour) lt 169+weekcount*168)=yes;
         weekcount=weekcount+1;
         )
;
Weekday(an_hour)=no;
Weekday(an_hour)$(not Weekend(an_hour))=yes;

Weekday(an_hour)$(ord(an_hour) gt 8544)=no;
Weekend(an_hour)$(ord(an_hour) gt 8544)=yes;

timestep_1(I_reg,an_hour)$(Winter(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_2(I_reg,an_hour)$(Winter(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_3(I_reg,an_hour)$(Winter(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_4(I_reg,an_hour)$(Winter(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_5(I_reg,an_hour)$(Spring(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_6(I_reg,an_hour)$(Spring(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_7(I_reg,an_hour)$(Spring(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_8(I_reg,an_hour)$(Spring(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_9(I_reg,an_hour)$(Summer(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_10(I_reg,an_hour)$(Summer(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_11(I_reg,an_hour)$(Summer(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_12(I_reg,an_hour)$(Summer(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_13(I_reg,an_hour)$(Autumn(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_14(I_reg,an_hour)$(Autumn(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_15(I_reg,an_hour)$(Autumn(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_16(I_reg,an_hour)$(Autumn(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_nuts2_1(nuts2,an_hour)$(Winter(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_nuts2_2(nuts2,an_hour)$(Winter(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_nuts2_3(nuts2,an_hour)$(Winter(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_nuts2_4(nuts2,an_hour)$(Winter(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_nuts2_5(nuts2,an_hour)$(Spring(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_nuts2_6(nuts2,an_hour)$(Spring(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_nuts2_7(nuts2,an_hour)$(Spring(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_nuts2_8(nuts2,an_hour)$(Spring(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_nuts2_9(nuts2,an_hour)$(Summer(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_nuts2_10(nuts2,an_hour)$(Summer(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_nuts2_11(nuts2,an_hour)$(Summer(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_nuts2_12(nuts2,an_hour)$(Summer(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

timestep_nuts2_13(nuts2,an_hour)$(Autumn(an_hour) and Weekday(an_hour) and Day(an_hour))=yes;
timestep_nuts2_14(nuts2,an_hour)$(Autumn(an_hour) and Weekday(an_hour) and Night(an_hour))=yes;
timestep_nuts2_15(nuts2,an_hour)$(Autumn(an_hour) and Weekend(an_hour) and Day(an_hour))=yes;
timestep_nuts2_16(nuts2,an_hour)$(Autumn(an_hour) and Weekend(an_hour) and Night(an_hour))=yes;

*$offtext
display
timestep_1
timestep_2
timestep_3
timestep_4
timestep_5
timestep_6
timestep_7
timestep_8
timestep_9
timestep_10
timestep_11
timestep_12
timestep_13
timestep_14
timestep_15
timestep_16
$ontext
num1
num2
num3
num4
num5
num6
num7
num8
num9
num10
num11
num12
num13
num14
num15
num16
tot_num
$offtext
;



Time_step_length("Step_1")=card(timestep_1)/(card(I_reg)*1000);
Time_step_length("Step_2")=card(timestep_2)/(card(I_reg)*1000);
Time_step_length("Step_3")=card(timestep_3)/(card(I_reg)*1000);
Time_step_length("Step_4")=card(timestep_4)/(card(I_reg)*1000);
Time_step_length("Step_5")=card(timestep_5)/(card(I_reg)*1000);
Time_step_length("Step_6")=card(timestep_6)/(card(I_reg)*1000);
Time_step_length("Step_7")=card(timestep_7)/(card(I_reg)*1000);
Time_step_length("Step_8")=card(timestep_8)/(card(I_reg)*1000);
Time_step_length("Step_9")=card(timestep_9)/(card(I_reg)*1000);
Time_step_length("Step_10")=card(timestep_10)/(card(I_reg)*1000);
Time_step_length("Step_11")=card(timestep_11)/(card(I_reg)*1000);
Time_step_length("Step_12")=card(timestep_12)/(card(I_reg)*1000);
Time_step_length("Step_13")=card(timestep_13)/(card(I_reg)*1000);
Time_step_length("Step_14")=card(timestep_14)/(card(I_reg)*1000);
Time_step_length("Step_15")=card(timestep_15)/(card(I_reg)*1000);
Time_step_length("Step_16")=card(timestep_16)/(card(I_reg)*1000);

Demand_timestep(I_reg,T,"Step_1")=sum(an_hour$(timestep_1(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_2")=sum(an_hour$(timestep_2(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_3")=sum(an_hour$(timestep_3(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_4")=sum(an_hour$(timestep_4(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_5")=sum(an_hour$(timestep_5(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_6")=sum(an_hour$(timestep_6(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_7")=sum(an_hour$(timestep_7(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_8")=sum(an_hour$(timestep_8(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_9")=sum(an_hour$(timestep_9(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_10")=sum(an_hour$(timestep_10(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_11")=sum(an_hour$(timestep_11(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_12")=sum(an_hour$(timestep_12(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_13")=sum(an_hour$(timestep_13(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_14")=sum(an_hour$(timestep_14(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_15")=sum(an_hour$(timestep_15(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);
Demand_timestep(I_reg,T,"Step_16")=sum(an_hour$(timestep_16(I_reg,an_hour)),load_profile(an_hour,I_reg)/1000)*Demand(I_reg,T);

Demand_CHP_timestep(I_reg,T,"Step_1")=sum(an_hour$(timestep_1(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_2")=sum(an_hour$(timestep_2(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_3")=sum(an_hour$(timestep_3(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_4")=sum(an_hour$(timestep_4(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_5")=sum(an_hour$(timestep_5(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_6")=sum(an_hour$(timestep_6(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_7")=sum(an_hour$(timestep_7(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_8")=sum(an_hour$(timestep_8(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_9")=sum(an_hour$(timestep_9(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_10")=sum(an_hour$(timestep_10(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_11")=sum(an_hour$(timestep_11(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_12")=sum(an_hour$(timestep_12(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_13")=sum(an_hour$(timestep_13(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_14")=sum(an_hour$(timestep_14(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_15")=sum(an_hour$(timestep_15(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);
Demand_CHP_timestep(I_reg,T,"Step_16")=sum(an_hour$(timestep_16(I_reg,an_hour)),Heat_load_profile(an_hour,I_reg))*demand_CHP(I_reg,T);

*$ontext
LFW(nuts2,wind_type,"Step_1")=sum(an_hour$(timestep_nuts2_1(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_2")=sum(an_hour$(timestep_nuts2_2(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_3")=sum(an_hour$(timestep_nuts2_3(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_4")=sum(an_hour$(timestep_nuts2_4(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_5")=sum(an_hour$(timestep_nuts2_5(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_6")=sum(an_hour$(timestep_nuts2_6(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_7")=sum(an_hour$(timestep_nuts2_7(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_8")=sum(an_hour$(timestep_nuts2_8(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_9")=sum(an_hour$(timestep_nuts2_9(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_10")=sum(an_hour$(timestep_nuts2_10(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_11")=sum(an_hour$(timestep_nuts2_11(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_12")=sum(an_hour$(timestep_nuts2_12(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_13")=sum(an_hour$(timestep_nuts2_13(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_14")=sum(an_hour$(timestep_nuts2_14(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_15")=sum(an_hour$(timestep_nuts2_15(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
LFW(nuts2,wind_type,"Step_16")=sum(an_hour$(timestep_nuts2_16(nuts2,an_hour)),EPW_LF(an_hour,nuts2,wind_type)/1000);
*$offtext
LFW_nuts2(nuts2,"Step_1")=sum(an_hour$(timestep_nuts2_1(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_2")=sum(an_hour$(timestep_nuts2_2(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_3")=sum(an_hour$(timestep_nuts2_3(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_4")=sum(an_hour$(timestep_nuts2_4(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_5")=sum(an_hour$(timestep_nuts2_5(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_6")=sum(an_hour$(timestep_nuts2_6(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_7")=sum(an_hour$(timestep_nuts2_7(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_8")=sum(an_hour$(timestep_nuts2_8(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_9")=sum(an_hour$(timestep_nuts2_9(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_10")=sum(an_hour$(timestep_nuts2_10(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_11")=sum(an_hour$(timestep_nuts2_11(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_12")=sum(an_hour$(timestep_nuts2_12(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_13")=sum(an_hour$(timestep_nuts2_13(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_14")=sum(an_hour$(timestep_nuts2_14(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_15")=sum(an_hour$(timestep_nuts2_15(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);
LFW_nuts2(nuts2,"Step_16")=sum(an_hour$(timestep_nuts2_16(nuts2,an_hour)),EPW_LF_nuts(an_hour,nuts2)/1000);

*solar
LFS(solar_type,solar_sites,"Step_1")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_1(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_2")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_2(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_3")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_3(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_4")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_4(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_5")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_5(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_6")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_6(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_7")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_7(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_8")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_8(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_9")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_9(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_10")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_10(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_11")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_11(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_12")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_12(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_13")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_13(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_14")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_14(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_15")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_15(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);
LFS(solar_type,solar_sites,"Step_16")=sum((an_hour,nuts2)$(solar_sites_to_nuts2(solar_sites,nuts2) and timestep_nuts2_16(nuts2,an_hour)),EPS_LF(solar_type,solar_sites,an_hour)/1000);

LFH(I_reg,"Step_1")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_1(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_2")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_2(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_3")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_3(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_4")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_4(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_5")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_5(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_6")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_6(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_7")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_7(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_8")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_8(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_9")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_9(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_10")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_10(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_11")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_11(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_12")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_12(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_13")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_13(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_14")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_14(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_15")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_15(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));
LFH(I_reg,"Step_16")$(hydro_prod(I_reg,"run_riv") gt 0)=sum(an_hour$(timestep_16(I_reg,an_hour)),EPH_LF(an_hour,I_reg)*hydro_prod(I_reg,"run_riv")/residual_P_hydroclass(I_reg,"run_riv","2050"));

LFO(I_reg,others,"Step_1")=sum(an_hour$(timestep_1(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_2")=sum(an_hour$(timestep_2(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_3")=sum(an_hour$(timestep_3(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_4")=sum(an_hour$(timestep_4(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_5")=sum(an_hour$(timestep_5(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_6")=sum(an_hour$(timestep_6(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_7")=sum(an_hour$(timestep_7(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_8")=sum(an_hour$(timestep_8(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_9")=sum(an_hour$(timestep_9(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_10")=sum(an_hour$(timestep_10(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_11")=sum(an_hour$(timestep_11(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_12")=sum(an_hour$(timestep_12(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_13")=sum(an_hour$(timestep_13(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_14")=sum(an_hour$(timestep_14(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_15")=sum(an_hour$(timestep_15(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);
LFO(I_reg,others,"Step_16")=sum(an_hour$(timestep_16(I_reg,an_hour)),EPO_LF(an_hour,I_reg,others)/1000);

LFO(I_reg,"small_hydro",Time_step)=LFH(I_reg,Time_step);
LFO(I_reg,"PV",winter_steps)=LFO(I_reg,"PV",winter_steps)*0.5;
LFO(I_reg,"PV",summer_steps)=LFO(I_reg,"PV",summer_steps)*1.5;
LFO(I_reg,"STH",winter_steps)=LFO(I_reg,"STH",winter_steps)*0.5;
LFO(I_reg,"STH",summer_steps)=LFO(I_reg,"STH",summer_steps)*1.5;


parameter
Full_load_hours_nuts(nuts2)
Full_load_hours(nuts2,wind_type)
Full_load_hydro(I_reg)
;
Full_load_hours(nuts2,wind_type)=sum(Time_step,LFW(nuts2,wind_type,Time_step));
Full_load_hours_nuts(nuts2)=sum(Time_step,LFW_nuts2(nuts2,Time_step));
Full_load_hydro(I_reg)=sum(Time_step,LFH(I_reg,Time_step));

display Full_load_hours, Full_load_hydro, Time_step_length;

