$droplocal options_error

$droplocal valid_cap_constraint
* Check whether capacity_constraint has one of the allowed values
$if %capacity_constraint%=="on" $setlocal valid_cap_constraint
$if %capacity_constraint%=="off" $setlocal valid_cap_constraint
$if %capacity_constraint%=="off_with_fill" $setlocal valid_cap_constraint
* Abort if capacity constraint setting is not valid
$ifthen not setlocal valid_cap_constraint
$setlocal options_error "capacity_constraint"
$error "No valid capacity_constraint option chosen."
$endif

* Check that net_metering is not enabled without solar_grid_parity
$setlocal valid_grid_parity_combination
$ifthen %net_metering%==yes
$if not %solar_grid_parity%==yes  $droplocal valid_grid_parity_combination
$endif
* Abort if net_metering enabled without solar_grid_parity
$ifthen not setlocal valid_grid_parity_combination
$if setlocal options_error $setlocal options_error "%options_error%, "
$if not setlocal options_error $setlocal options_error ""
$setlocal options_error "%options_error%net_metering"
$error "The net_metering option can only be used in combination with solar_grid_parity."
$endif

$if setlocal options_error $abort "Invalid options: %options_error%. Aborting compilation."

