
$ifthen %capacity_constraint%==off_with_fill
* fill in capcity with GT as if the capacity constraint where used

*Does not infer cost in the objective function, which could be added here

parameter Gas_peak_added(I_reg,T);

Gas_peak_added(I_reg,T) = system_max_load(I_reg,T)-
                 (
                 sum(exp_region,EPCON(exp_region,I_reg)*cap_factor_intercon(I_reg))+
                 sum((nuts2,wind)$(regions_to_nuts2(I_reg,nuts2)),Residual_wind_nuts2(nuts2,wind,T)*cap_factor_wind_exist(nuts2))+
                 sum((nuts2,wind_type)$(regions_to_nuts2(I_reg,nuts2)),VNPW.l(nuts2,wind_type,T)*cap_factor_wind_new(nuts2,wind_type))+

                 sum((nuts2,solar_type)$(regions_to_nuts2(I_reg,nuts2)),VNPSol.l(nuts2,solar_type,T)*cap_factor_solar(nuts2,solar_type))+
                 sum(nuts2$(regions_to_nuts2(I_reg,nuts2)),residual_PV_nuts2(nuts2,T)*cap_factor_solar(nuts2,"opt_csi"))+

                 (residual_P_hydroclass(I_reg,"run_riv",T)+VNPH.l(I_reg,"run_riv",T))*cap_factor_hydro(I_reg,"run_riv")+
                 (residual_P_hydroclass(I_reg,"reg",T)+VNPH.l(I_reg,"reg",T))*cap_factor_hydro(I_reg,"reg")+
                 sum((thermal,plant_type),(sum(inv_year,Residual_P_thermal(I_reg,thermal,plant_type,"capacity_el",T,inv_year))+
                         VNPTtype.l(I_reg,thermal,plant_type,T))*cap_factor_thermal(I_reg,thermal,plant_type))+
                 (VNPPgas.l(I_reg,T)*cap_factor_Pgas(I_reg))+
                 sum((CCS,plant_type),VNPCCStype.l(I_reg,CCS,plant_type,T)*cap_factor_CCS(I_reg,CCS,plant_type))+
                 sum(non_PV,Residual_P_others(I_reg,non_PV,T)*cap_factor_others(I_reg,non_PV))+
                 sum(non_PV,VNPO.l(I_reg,non_PV,T)*cap_factor_others(I_reg,non_PV))+
                 sum(geothermal,VNPGEO.l(I_reg,geothermal,T)*cap_factor_geothermal(I_reg,geothermal))
                 +
                 sum(export_reg,NP_trade.l(export_reg,I_reg,T)*cap_factor_intercon(I_reg))
                 );

Gas_peak_added(I_reg,T)$(Gas_peak_added(I_reg,T) lt 0) = 0;

VNPPgas.l(I_reg,T)= VNPPgas.l(I_reg,T) + Gas_peak_added(I_reg,T);

display Gas_peak_added;

$endif
