********************************************************************
***      output present plus new                                 ***
***                                                              ***
********************************************************************


display Residual_P_hydro;
execute "cp s2.g00 %out_path%s2.g00";

sets
         out_prop_gen        output properties generation
                 /Tot_Present            Tot el from present capacities
                 New_hydro               Hydro el
                 New_others              Others el
                 New_solar               solar el
                 New_wind                Wind el
                 New_bio_waste           Biomass & waste el
                 New_lignite             Lignite el
                 New_hard_coal           Hard coal el
                 New_gas                 Gas el
                 New_oil                 Oil el
                 New_peat                Peat el
                 New_nuclear             Nuclear el
                 New_CCS_lignite         Lignite CCS el
                 New_CCS_hard_coal       Hard coal CCS el
                 New_CCS_gas             Gas CCS el
                 New_CCS_ligbio          lignite biomass cofire CCS
                 New_CCS_coalbio         hard coal biomass cofire CCS
                 New_geothermal          Geothermal el
                 Present_hydro           Hydro el
                 Present_nuclear         Nuclear el
                 Present_lignite         Lignite el
                 Present_hard_coal       Hard coal el
                 Present_gas             Gas el
                 Present_oil             Oil el
                 Present_peat            Peat el
                 Present_wind            Wind el
                 Present_others          Others el
                 Present_solar           solar el
                 Present_bio_waste       Biomass & waste el
                 Tot_hydro               tot hydro
                 Tot_others              tot others
                 Tot_solar               tot solar
                 Tot_wind                tot wind
                 Tot_bio_waste           tot biomass and waste
                 Tot_lignite             tot lignite
                 Tot_hard_coal           tot hard coal
                 Tot_gas                 Tot gas
                 Tot_oil                 tot oil
                 Tot_peat                tot peat
                 Tot_nuclear             tot nuclear
                 Tot_CCS_lignite         tot ccs lignite
                 Tot_CCS_hard_coal       tot ccs hard coal
                 Tot_CCS_gas             tot ccs gas
                 Tot_CCS_ligbio          lignite biomass cofire CCS
                 Tot_CCS_coalbio         hard coal biomass cofire CCS
                 Tot_geothermal          tot geothermal
                 Tot_generation          total electrcity generation
                 Imports                 electricity imports
                 Domestic_demand         Tot domestic demand
                 Exports                 electrcity exports/

         out_prop(out_prop_gen)        output properties
                 /Tot_Present            Tot el from present capacities
                 New_hydro               Hydro el
                 New_others              Others el
                 New_solar               solar el
                 New_wind                Wind el
                 New_bio_waste           Biomass & waste el
                 New_lignite             Lignite el
                 New_hard_coal           Hard coal el
                 New_gas                 Gas el
                 New_oil                 Oil el
                 New_peat                Peat el
                 New_nuclear             Nuclear el
                 New_CCS_lignite         Lignite CCS el
                 New_CCS_hard_coal       Hard coal CCS el
                 New_CCS_gas             Gas CCS el
                 New_CCS_ligbio          lignite biomass cofire CCS
                 New_CCS_coalbio         hard coal biomass cofire CCS
                 New_geothermal          Geothermal el
                 Present_hydro           Hydro el
                 Present_nuclear         Nuclear el
                 Present_lignite         Lignite el
                 Present_hard_coal       Hard coal el
                 Present_gas             Gas el
                 Present_oil             Oil el
                 Present_peat            Peat el
                 Present_wind            Wind el
                 Present_others          Others el
                 Present_solar           solar el
                 Present_bio_waste       Biomass & waste el
                 Tot_hydro               tot hydro
                 Tot_others              tot others
                 Tot_solar               tot solar
                 Tot_wind                tot wind
                 Tot_bio_waste           tot biomass and waste
                 Tot_lignite             tot lignite
                 Tot_hard_coal           tot hard coal
                 Tot_gas                 Tot gas
                 Tot_oil                 tot oil
                 Tot_peat                tot peat
                 Tot_nuclear             tot nuclear
                 Tot_CCS_lignite         tot ccs lignite
                 Tot_CCS_hard_coal       tot ccs hard coal
                 Tot_CCS_gas             tot ccs gas
                 Tot_CCS_ligbio          lignite biomass cofire CCS
                 Tot_CCS_coalbio         hard coal biomass cofire CCS
                 Tot_geothermal          tot geothermal/

         tot(out_prop_gen)
                 /Tot_hydro              tot hydro
                 Tot_others              tot others
                 Tot_solar               tot solar
                 Tot_wind                tot wind
                 Tot_bio_waste           tot biomass and waste
                 Tot_lignite             tot lignite
                 Tot_hard_coal           tot hard coal
                 Tot_gas                 Tot gas
                 Tot_oil                 tot oil
                 Tot_peat                tot peat
                 Tot_nuclear             tot nuclear
                 Tot_CCS_lignite         tot ccs lignite
                 Tot_CCS_hard_coal       tot ccs hard coal
                 Tot_CCS_gas             tot ccs gas
                 Tot_CCS_ligbio          lignite biomass cofire CCS
                 Tot_CCS_coalbio         hard coal biomass cofire CCS
                 Tot_geothermal          tot geothermal
                 Imports                 electricity imports
                 Domestic_demand         Tot domestic demand
                 Exports                 electrcity exports
/

         heat_prop       heat properties outputted
                 /CHP_el         electricity generated in CHP
                 CHP_heat        Heat generated in CHP
                 BP_el           electricity generated in Back presssure units/

         em_prop         emission property out
                 /CO2_emissions          CO2 emitted to atmosphere
                 CO2_captured            Captured CO2 intended for storage/

         marg_prop_all       Marginal cost property
                 /Marginal_el
                 Marginal_max_el       maximum of all areas included in I_reg [ per MWh]
                 Marginal_average_el    Wheighted average by generation of all areas included in I_reg [ per MWh]
                 Marginal_min_el        minimum of all areas included in I_reg [ per MWh]
                 Marginal_CHP    Marginal CHP heat costs [ per MWhheat]
                 Marginal_CO2    Marginal CO2 abatement cost [ per ton CO2]
                 Marginal_cap_Ireg    Marginal capacity cost
                 Marginal_cap    Marginal capacity cost
                 Marginal_RES    Marginal RES certificate price
                 Marg_El_filtered_max
                 Marg_El_filtered_average
                 Marg_El_filtered_min
                 Marg_El_filtered_span/

         marg_prop_Ireg       Marginal cost property
                 /
                 Marginal_max_el       maximum of all areas included in I_reg [ per MWh]
                 Marginal_average_el    Wheighted average by generation of all areas included in I_reg [ per MWh]
                 Marginal_min_el        minimum of all areas included in I_reg [ per MWh]
                 Marginal_CHP    Marginal CHP heat costs [ per MWhheat]
                 Marginal_CO2    Marginal CO2 abatement cost [ per ton CO2]
                 Marginal_cap_Ireg    Marginal capacity cost
                 Marginal_RES    Marginal RES certificate price
                 Marg_El_filtered_max
                 Marg_El_filtered_average
                 Marg_El_filtered_min
                 Marg_El_filtered_span/

         marg_prop(marg_prop_all)       Marginal cost property
                 /Marginal_el
*                 Marginal_max_el       maximum of all areas included in I_reg [ per MWh]
*                 Marginal_average_el    Wheighted average by generation of all areas included in I_reg [ per MWh]
*                 Marginal_min_el        minimum of all areas included in I_reg [ per MWh]
                 Marginal_CHP    Marginal CHP heat costs [ per MWhheat]
                 Marginal_CO2    Marginal CO2 abatement cost [ per ton CO2]
                 Marginal_cap_Ireg    Marginal capacity cost
                 Marginal_cap    Marginal capacity cost
                 Marginal_RES    Marginal RES certificate price
                 /

         Tech            Technologies considered on cost outputs
                 /Hydro_RO       Run of river
                 Wind_on         Wind onshore
                 Wind_off        Wind offshore
                 Solar_PV        Solar PVs
                 Tidal_barge     Tidal barges
                 Wave_power      Wave power
                 Hydro_small     Small scale hydro
                 Lignite         Lignite
                 Hard_coal       Hard coal
                 Gas             Natural gas
                 Oil             Oil
                 Peat            Peat
                 Bio_waste       Biomass and waste
                 Nuclear         Nuclear
                 CCS_lignite     CCS lignite
                 CCS_Hard_coal   CCS hard coal
                 CCS_Gas         CCS gas
                 Geothermal      Geothermal/
;

$oneolcom

Parameter
Par_Pnew_gen(I_reg,out_prop_gen,T)
Par_Pnew_cap(I_reg,out_prop,T)

*Par_Pnew_gen_nordic(out_prop_gen,T)
*Par_Pnew_cap_nordic(out_prop,T)

*Par_gen_cost(I_reg,Tech,T)
*Par_run_cost(I_reg,Tech,T)

Par_emissions_Ireg(em_prop,T)
Par_emissions_nordic(em_prop,T)
Par_emissions_regions(I_reg,em_prop,T)

Par_marg_cost(I_reg,marg_prop,T)
Par_marg_cost_Ireg(marg_prop_Ireg,T)
Par_heat(I_reg,heat_prop,T)
Par_heat_Ireg(heat_prop,T)
Par_heat_nordic(heat_prop,T)

Par_thermal_inv_Ireg(thermal,plant_type,T)
Par_CCS_inv_Ireg(CCS,T)
;

*** Tot generation in Ireg ***

Par_Pnew_gen(I_reg,"Tot_present",T)=
         sum((thermal,plant_type),VEETtype.l(I_reg,thermal,plant_type,T))+
         EEH_RO(I_reg,T)+VEEH_REG.l(I_reg,T)+
         EEW(I_reg,T)+EESol(I_reg,T)+
         sum(non_PV,EEO(I_reg,non_PV,T));

Par_Pnew_gen(I_reg,"Present_hydro",T)=
         EEH_RO(I_reg,T)+VEEH_REG.l(I_reg,T);

Par_Pnew_gen(I_reg,"Present_wind",T)=
         EEW(I_reg,T);

Par_Pnew_gen(I_reg,"Present_lignite",T)=
         sum(plant_type,VEETtype.l(I_reg,"B",plant_type,T));

Par_Pnew_gen(I_reg,"Present_hard_coal",T)=
         sum(plant_type,VEETtype.l(I_reg,"H",plant_type,T));

Par_Pnew_gen(I_reg,"Present_gas",T)=
         sum(plant_type,VEETtype.l(I_reg,"G",plant_type,T));

Par_Pnew_gen(I_reg,"Present_oil",T)=
         sum(plant_type,VEETtype.l(I_reg,"O",plant_type,T));

Par_Pnew_gen(I_reg,"Present_peat",T)=
         sum(plant_type,VEETtype.l(I_reg,"P",plant_type,T));

Par_Pnew_gen(I_reg,"Present_bio_waste",T)=
         sum(plant_type,VEETtype.l(I_reg,"W",plant_type,T)+VEETtype.l(I_reg,"WA",plant_type,T));

Par_Pnew_gen(I_reg,"Present_nuclear",T)=
         sum(plant_type,VEETtype.l(I_reg,"U",plant_type,T));

Par_Pnew_gen(I_reg,"Present_others",T)=
         sum(non_PV,EEO(I_reg,non_PV,T));

Par_Pnew_gen(I_reg,"Present_solar",T)=
         EESol(I_reg,T);
*New
Par_Pnew_gen(I_reg,"New_hydro",T)=
         VNEH_RO.l(I_reg,T)+VNEH_REG.l(I_reg,T);

Par_Pnew_gen(I_reg,"New_wind",T)=
         sum(wind_type,VNEW.l(I_reg,wind_type,T));

Par_Pnew_gen(I_reg,"New_others",T)=
         sum(non_PV,VNEO.l(I_reg,non_PV,T));

Par_Pnew_gen(I_reg,"New_solar",T)=
         sum(solar_type,VNESol.l(solar_type,I_reg,T));

Par_Pnew_gen(I_reg,"New_lignite",T)=
         sum(plant_type,VNETtype.l(I_reg,"B",plant_type,T));

Par_Pnew_gen(I_reg,"New_hard_coal",T)=
         sum(plant_type,VNETtype.l(I_reg,"H",plant_type,T));

Par_Pnew_gen(I_reg,"New_gas",T)=
         sum(plant_type,VNETtype.l(I_reg,"G",plant_type,T))+VNEPgas.l(I_reg,T);

Par_Pnew_gen(I_reg,"New_oil",T)=
         sum(plant_type,VNETtype.l(I_reg,"O",plant_type,T));

Par_Pnew_gen(I_reg,"New_peat",T)=
         sum(plant_type,VNETtype.l(I_reg,"P",plant_type,T));

Par_Pnew_gen(I_reg,"New_bio_waste",T)=
         sum(plant_type,VNETtype.l(I_reg,"W",plant_type,T)+VNETtype.l(I_reg,"WA",plant_type,T));

Par_Pnew_gen(I_reg,"New_nuclear",T)=
         sum(plant_type,VNETtype.l(I_reg,"U",plant_type,T));

Par_Pnew_gen(I_reg,"New_CCS_lignite",T)=
         sum(plant_type,VNECCStype.l(I_reg,"BCCS",plant_type,T));

Par_Pnew_gen(I_reg,"New_CCS_hard_coal",T)=
         sum(plant_type,VNECCStype.l(I_reg,"HCCS",plant_type,T));

Par_Pnew_gen(I_reg,"New_CCS_gas",T)=
         sum(plant_type,VNECCStype.l(I_reg,"GCCS",plant_type,T));

Par_Pnew_gen(I_reg,"New_CCS_ligbio",T)=
         sum(plant_type,VNECCStype.l(I_reg,"BWCCS",plant_type,T));

Par_Pnew_gen(I_reg,"New_CCS_coalbio",T)=
         sum(plant_type,VNECCStype.l(I_reg,"HWCCS",plant_type,T));

Par_Pnew_gen(I_reg,"New_geothermal",T)=
         sum(geothermal,VNEGEO.l(I_reg,geothermal,T));
*Tot
Par_Pnew_gen(I_reg,"Tot_hydro",T)=
         EEH_RO(I_reg,T)+VNEH_RO.l(I_reg,T)+VEEH_REG.l(I_reg,T)+VNEH_REG.l(I_reg,T);

Par_Pnew_gen(I_reg,"Tot_wind",T)=
         sum(wind_type,VNEW.l(I_reg,wind_type,T))+EEW(I_reg,T);

Par_Pnew_gen(I_reg,"Tot_others",T)=
         sum(non_PV,EEO(I_reg,non_PV,T)+VNEO.l(I_reg,non_PV,T));

Par_Pnew_gen(I_reg,"Tot_solar",T)=
         EESol(I_reg,T)+sum(solar_type,VNESol.l(solar_type,I_reg,T));

Par_Pnew_gen(I_reg,"Tot_lignite",T)=
         sum(plant_type,VNETtype.l(I_reg,"B",plant_type,T)+VEETtype.l(I_reg,"B",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_hard_coal",T)=
         sum(plant_type,VNETtype.l(I_reg,"H",plant_type,T)+VEETtype.l(I_reg,"H",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_gas",T)=
         sum(plant_type,VNETtype.l(I_reg,"G",plant_type,T)+VEETtype.l(I_reg,"G",plant_type,T))+VNEPgas.l(I_reg,T);

Par_Pnew_gen(I_reg,"Tot_oil",T)=
         sum(plant_type,VNETtype.l(I_reg,"O",plant_type,T)+VEETtype.l(I_reg,"O",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_peat",T)=
         sum(plant_type,VNETtype.l(I_reg,"P",plant_type,T)+VEETtype.l(I_reg,"P",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_bio_waste",T)=
         sum(plant_type,VNETtype.l(I_reg,"W",plant_type,T)+VEETtype.l(I_reg,"W",plant_type,T)
         +VNETtype.l(I_reg,"Wa",plant_type,T)+VEETtype.l(I_reg,"Wa",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_nuclear",T)=
         sum(plant_type,VNETtype.l(I_reg,"U",plant_type,T)+VEETtype.l(I_reg,"U",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_CCS_lignite",T)=
         sum(plant_type,VNECCStype.l(I_reg,"BCCS",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_CCS_hard_coal",T)=
         sum(plant_type,VNECCStype.l(I_reg,"HCCS",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_CCS_gas",T)=
         sum(plant_type,VNECCStype.l(I_reg,"GCCS",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_CCS_ligbio",T)=
         sum(plant_type,VNECCStype.l(I_reg,"BWCCS",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_CCS_coalbio",T)=
         sum(plant_type,VNECCStype.l(I_reg,"HWCCS",plant_type,T));

Par_Pnew_gen(I_reg,"Tot_geothermal",T)=
         sum(geothermal,VNEGEO.l(I_reg,geothermal,T));

Par_Pnew_gen(I_reg,"Tot_generation",T)=
         sum(tot,Par_Pnew_gen(I_reg,tot,T));

Par_Pnew_gen(I_reg,"Domestic_demand",T)=demand(I_reg,T);


Par_Pnew_gen(I_reg,"Imports",T)=sum(Time_step,EE_import.l(I_reg,T,Time_step)+NE_import.l(I_reg,T,Time_step));
Par_Pnew_gen(I_reg,"Exports",T)=sum(Time_step,EE_export.l(I_reg,T,Time_step)+NE_export.l(I_reg,T,Time_step));


***      Capacities in Ireg      ***

Par_Pnew_cap(I_reg,"Tot_present",T)=
         sum((thermal,plant_type,inv_year),Residual_P_thermal(I_reg,thermal,plant_type,"capacity_el",T,inv_year))+
         sum(hydro,Residual_P_hydro(I_reg,hydro,T))+
         sum((nuts2,wind)$(regions_to_nuts2(I_reg,nuts2)),Residual_wind_nuts2(nuts2,wind,T))+
         sum(non_PV,Residual_P_others(I_reg,non_PV,T))+sum(nuts2$(regions_to_nuts2(I_reg,nuts2)),residual_PV_nuts2(nuts2,T));

Par_Pnew_cap(I_reg,"Present_hydro",T)=
         sum(hydro,Residual_P_hydro(I_reg,hydro,T));

Par_Pnew_cap(I_reg,"Present_wind",T)=
         sum((nuts2,wind)$(regions_to_nuts2(I_reg,nuts2)),Residual_wind_nuts2(nuts2,wind,T));

Par_Pnew_cap(I_reg,"Present_lignite",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"B",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_hard_coal",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"H",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_gas",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"G",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_oil",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"O",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_peat",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"P",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_bio_waste",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"W",plant_type,"capacity_el",T,inv_year)+Residual_P_thermal(I_reg,"Wa",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_nuclear",T)=
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"U",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Present_others",T)=
         sum(non_PV,Residual_P_others(I_reg,non_PV,T));

Par_Pnew_cap(I_reg,"Present_solar",T)=
         sum(nuts2$(regions_to_nuts2(I_reg,nuts2)),residual_PV_nuts2(nuts2,T));

*New
Par_Pnew_cap(I_reg,"New_hydro",T)=
         sum(hydro_class,VNPH.l(I_reg,hydro_class,T));

Par_Pnew_cap(I_reg,"New_wind",T)=
         sum((nuts2,wind_type)$(regions_to_nuts2(I_reg,nuts2)),VNPW.l(nuts2,wind_type,T));

Par_Pnew_cap(I_reg,"New_others",T)=
         sum(non_PV,VNPO.l(I_reg,non_PV,T));

Par_Pnew_cap(I_reg,"New_solar",T)=
         sum((solar_sites,solar_type)$(solar_sites_to_regions(solar_sites,I_reg)),VNPSol.l(solar_type,solar_sites,T));

Par_Pnew_cap(I_reg,"New_lignite",T)=
         sum(plant_type,VNPTtype.l(I_reg,"B",plant_type,T));

Par_Pnew_cap(I_reg,"New_hard_coal",T)=
         sum(plant_type,VNPTtype.l(I_reg,"H",plant_type,T));

Par_Pnew_cap(I_reg,"New_gas",T)=
         sum(plant_type,VNPTtype.l(I_reg,"G",plant_type,T))+VNPPgas.l(I_reg,T);

Par_Pnew_cap(I_reg,"New_oil",T)=
         sum(plant_type,VNPTtype.l(I_reg,"O",plant_type,T));

Par_Pnew_cap(I_reg,"New_peat",T)=
         sum(plant_type,VNPTtype.l(I_reg,"P",plant_type,T));

Par_Pnew_cap(I_reg,"New_bio_waste",T)=
         sum(plant_type,VNPTtype.l(I_reg,"W",plant_type,T)+VNPTtype.l(I_reg,"Wa",plant_type,T));

Par_Pnew_cap(I_reg,"New_nuclear",T)=
         sum(plant_type,VNPTtype.l(I_reg,"U",plant_type,T));

Par_Pnew_cap(I_reg,"New_CCS_lignite",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"BCCS",plant_type,T));

Par_Pnew_cap(I_reg,"New_CCS_hard_coal",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"HCCS",plant_type,T));

Par_Pnew_cap(I_reg,"New_CCS_gas",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"GCCS",plant_type,T));

Par_Pnew_cap(I_reg,"New_CCS_ligbio",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"BWCCS",plant_type,T));

Par_Pnew_cap(I_reg,"New_CCS_coalbio",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"HWCCS",plant_type,T));

Par_Pnew_cap(I_reg,"New_geothermal",T)=
         sum(geothermal,VNPGEO.l(I_reg,geothermal,T));
*Tot
Par_Pnew_cap(I_reg,"Tot_hydro",T)=
         sum(hydro_class,VNPH.l(I_reg,hydro_class,T))+sum(hydro,Residual_P_hydro(I_reg,hydro,T));

Par_Pnew_cap(I_reg,"Tot_wind",T)=
         sum((nuts2,wind_type)$(regions_to_nuts2(I_reg,nuts2)),VNPW.l(nuts2,wind_type,T))+sum((nuts2,wind)$(regions_to_nuts2(I_reg,nuts2)),Residual_wind_nuts2(nuts2,wind,T));

Par_Pnew_cap(I_reg,"Tot_others",T)=
         sum(non_PV,Residual_P_others(I_reg,non_PV,T)+VNPO.l(I_reg,non_PV,T));

Par_Pnew_cap(I_reg,"Tot_solar",T)=
         sum((solar_sites,solar_type)$(solar_sites_to_regions(solar_sites,I_reg)),VNPSol.l(solar_type,solar_sites,T))+
         sum(nuts2$(regions_to_nuts2(I_reg,nuts2)),residual_PV_nuts2(nuts2,T));

Par_Pnew_cap(I_reg,"Tot_lignite",T)=
         sum(plant_type,VNPTtype.l(I_reg,"B",plant_type,T))+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"B",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_hard_coal",T)=
         sum(plant_type,VNPTtype.l(I_reg,"H",plant_type,T))+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"H",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_gas",T)=
         sum(plant_type,VNPTtype.l(I_reg,"G",plant_type,T))+VNPPgas.l(I_reg,T)+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"G",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_oil",T)=
         sum(plant_type,VNPTtype.l(I_reg,"O",plant_type,T))+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"O",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_peat",T)=
         sum(plant_type,VNPTtype.l(I_reg,"P",plant_type,T))+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"P",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_bio_waste",T)=
         sum(plant_type,VNPTtype.l(I_reg,"W",plant_type,T)+VNPTtype.l(I_reg,"Wa",plant_type,T))+
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"W",plant_type,"capacity_el",T,inv_year))+
         sum((plant_type,inv_year),Residual_P_thermal(I_reg,"Wa",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_nuclear",T)=
         sum(plant_type,VNPTtype.l(I_reg,"U",plant_type,T))+sum((plant_type,inv_year),Residual_P_thermal(I_reg,"U",plant_type,"capacity_el",T,inv_year));

Par_Pnew_cap(I_reg,"Tot_CCS_lignite",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"BCCS",plant_type,T));

Par_Pnew_cap(I_reg,"Tot_CCS_hard_coal",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"HCCS",plant_type,T));

Par_Pnew_cap(I_reg,"Tot_CCS_gas",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"GCCS",plant_type,T));

Par_Pnew_cap(I_reg,"Tot_CCS_ligbio",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"BWCCS",plant_type,T));
Par_Pnew_cap(I_reg,"Tot_CCS_coalbio",T)=
         sum(plant_type,VNPCCStype.l(I_reg,"HWCCS",plant_type,T));

Par_Pnew_cap(I_reg,"Tot_geothermal",T)=
         sum(geothermal,VNPGEO.l(I_reg,geothermal,T));

***      Emissions       ***
Par_emissions_Ireg("CO2_emissions",T)$(VCO2.l(T) gt 0.1)=VCO2.l(T);      !!the $ command disgard very small numbers
Par_emissions_Ireg("CO2_captured",T)=sum((I_reg,CCS,plant_type),(VNFCCStype.l(I_reg,CCS,plant_type,T)*CCS_store_EF(I_reg,CCS)));

Par_emissions_regions(I_reg,"CO2_emissions",T)$(sum((C_emitting,plant_type),
                 VEFTtype.l(I_reg,C_emitting,plant_type,T)*3.6/1000*C_intensity(I_reg,C_emitting)*44/12)+
                 sum((C_emitting,plant_type),
                 VNFTtype.l(I_reg,C_emitting,plant_type,T)*3.6/1000*C_intensity(I_reg,C_emitting)*44/12)+
                 sum((CCS,plant_type),VNFCCStype.l(I_reg,CCS,plant_type,T)*CCS_EF(I_reg,CCS)) gt 0.1)=sum((C_emitting,plant_type),
                 VEFTtype.l(I_reg,C_emitting,plant_type,T)*3.6/1000*C_intensity(I_reg,C_emitting)*44/12)+
                 sum((C_emitting,plant_type),
                 VNFTtype.l(I_reg,C_emitting,plant_type,T)*3.6/1000*C_intensity(I_reg,C_emitting)*44/12)+
                 sum((CCS,plant_type),VNFCCStype.l(I_reg,CCS,plant_type,T)*CCS_EF(I_reg,CCS));                !!the $ command disgard very small numbers

Par_emissions_regions(I_reg,"CO2_captured",T)=sum((CCS,plant_type),(VNFCCStype.l(I_reg,CCS,plant_type,T)*CCS_store_EF(I_reg,CCS)));


***      Shadow prices on electricity and CO2    ***
Par_marg_cost(I_reg,"Marginal_el",T)=-(sum(Time_step,genEQU22.m(I_reg,T,Time_step)*demand_timestep(I_reg,T,Time_step))/sum(Time_step,demand_timestep(I_reg,T,Time_step)))*((1+Ir)**(T_num(T)-2009));
Par_marg_cost(I_reg,"Marginal_CO2",T)=VCO2EQU1.m(T)*((1+Ir)**(T_num(T)-2009));
Par_marg_cost(I_reg,"Marginal_CHP",T)=sum(Time_step,-totH_CHP_EQU.m(I_reg,T,Time_step)/card(Time_step))*((1+Ir)**(T_num(T)-2009));
$ontext
set        Ireg_significant(I_reg)
$ifi %regional%==yes $goto ELINregional
         /
         Austria
         Belgium
         Bulgaria
*         Cyprus
         Czech_Republic
         Denmark
         Estonia
         Finland
         France
         Germany
         Greece
         Hungary
         Ireland
         Italy
         Latvia
         Lithuania
         Luxembourg
*         Malta
         Netherlands
         Norway
         Poland
         Portugal
         Romania
         Slovakia
         Slovenia
         Spain
         Sweden
         Switzerland
         UK
         /
$label ELINregional
$ifi %national%==yes $goto ELINnational
         /
         AT
         BE
         BG
*         CY
         CZ
         DE1,DE2,DE3,DE4,DE5
         DK1,DK2
        EE
         ES1,ES2,ES3,ES4
         FI
         FR1,FR2,FR3,FR4,FR5
         GR
         HU
         IE
*         IS
         IT1,IT2,IT3
         LV
         LT
         LU
*         MT
         NL
         NO1,NO2,NO3
         PO1,PO2,PO3
         PT
         RO
         SE1,SE2,SE3,SE4
         SI
         SK
         CH
         UK1,UK2,UK3
         /
$label ELINnational
;

alias (Ireg_significant,Ireg_sig)
$offtext

loop(I_reg,
Par_marg_cost_Ireg("Marginal_max_el",T)$(smax(II_reg,sum(year$(T_num(year) ge 2015),Par_marg_cost(II_reg,"Marginal_el",year))) eq sum(year$(T_num(year) ge 2015),Par_marg_cost(I_reg,"Marginal_el",year)))=Par_marg_cost(I_reg,"Marginal_el",T);
Par_marg_cost_Ireg("Marginal_min_el",T)$(smin(II_reg,sum(year$(T_num(year) ge 2015),Par_marg_cost(II_reg,"Marginal_el",year))) eq sum(year$(T_num(year) ge 2015),Par_marg_cost(I_reg,"Marginal_el",year)))=Par_marg_cost(I_reg,"Marginal_el",T);
)
;

Par_marg_cost_Ireg("Marginal_average_el",T)$(sum((I_reg,Time_step),gen_region.l(I_reg,T,Time_step))<>0)=sum((I_reg,Time_step),Par_marg_cost(I_reg,"Marginal_el",T)*gen_region.l(I_reg,T,Time_step))/(sum((I_reg,Time_step),gen_region.l(I_reg,T,Time_step)));

*Par_marg_cost_Ireg("Marginal_min_el",T)=smin(I_reg,Par_marg_cost(I_reg,"Marginal_el",T));

****************************************************************************************************************
* Linear filter for marginal el costs

scalars
average_T

average_max
k_linear_max
m_linear_max

average_min
k_linear_min
m_linear_min

average_average
k_linear_average
m_linear_average
;

average_T=2030;
average_max=sum(T,Par_marg_cost_Ireg("Marginal_max_el",T))/card(T);
average_min=sum(T,Par_marg_cost_Ireg("Marginal_min_el",T))/card(T);
average_average=sum(T,Par_marg_cost_Ireg("Marginal_average_el",T))/card(T);


k_linear_max=sum(T,(T_num(T)-average_T)*(Par_marg_cost_Ireg("Marginal_max_el",T)-average_max))/sum(T,sqr(T_num(T)-average_T));
m_linear_max=average_max-k_linear_max*average_T;

k_linear_min=sum(T,(T_num(T)-average_T)*(Par_marg_cost_Ireg("Marginal_min_el",T)-average_min))/sum(T,sqr(T_num(T)-average_T));
m_linear_min=average_min-k_linear_min*average_T;

k_linear_average=sum(T,(T_num(T)-average_T)*(Par_marg_cost_Ireg("Marginal_average_el",T)-average_average))/sum(T,sqr(T_num(T)-average_T));
m_linear_average=average_average-k_linear_average*average_T;

Par_marg_cost_Ireg("Marg_el_filtered_max",T)=k_linear_max*T_num(T)+m_linear_max;

Par_marg_cost_Ireg("Marg_el_filtered_average",T)=k_linear_average*T_num(T)+m_linear_average;
Par_marg_cost_Ireg("Marg_el_filtered_min",T)=k_linear_min*T_num(T)+m_linear_min;
Par_marg_cost_Ireg("Marg_el_filtered_span",T)=Par_marg_cost_Ireg("Marg_el_filtered_max",T)-Par_marg_cost_Ireg("Marg_el_filtered_min",T);
***********************************************************************************************************************

Par_marg_cost_Ireg("Marginal_CO2",T)=VCO2EQU1.m(T)*((1+Ir)**(T_num(T)-2009));
Par_marg_cost_Ireg("Marginal_CHP",T)=smax(I_reg,sum(Time_step,-totH_CHP_EQU.m(I_reg,T,Time_step)/card(Time_step))*((1+Ir)**(T_num(T)-2009)));
*Par_marg_cost_Ireg("Marginal_cap_Ireg",T)=system_capEQU.m(T)*((1+Ir)**(T_num(T)-2009));
Par_marg_cost_Ireg("Marginal_RES",T)=-tot_RESEQU.m(T)*((1+Ir)**(T_num(T)-2009));
*Par_marg_cost(I_reg,"Marginal_cap",T)=-system_capEQU1.m(I_reg,T)*((1+Ir)**(T_num(T)-2009));
*Par_marg_cost(I_reg,"Marginal_RES",T)=-tot_RES_IregEQU.m(I_reg,T)*((1+Ir)**(T_num(T)-2009));

***      Heat and power in CHP & BP      ***
Par_heat(I_reg,"CHP_el",T)=sum(thermal,VEETtype.l(I_reg,thermal,"CHP",T)+VNETtype.l(I_reg,thermal,"CHP",T));
Par_heat(I_reg,"BP_el",T)=sum((thermal,B_P),VEETtype.l(I_reg,thermal,B_P,T)+VNETtype.l(I_reg,thermal,B_P,T));
Par_heat(I_reg,"CHP_heat",T)=sum((thermal,C_HP),VEHTtype.l(I_reg,thermal,C_HP,T)+VNHTtype.l(I_reg,thermal,C_HP,T));

Par_heat_Ireg("CHP_el",T)=sum((I_reg,thermal),VEETtype.l(I_reg,thermal,"CHP",T)+VNETtype.l(I_reg,thermal,"CHP",T));
Par_heat_Ireg("BP_el",T)=sum((I_reg,thermal,B_P),VEETtype.l(I_reg,thermal,B_P,T)+VNETtype.l(I_reg,thermal,B_P,T));
Par_heat_Ireg("CHP_heat",T)=sum((I_reg,thermal,C_HP),VEHTtype.l(I_reg,thermal,C_HP,T)+VNHTtype.l(I_reg,thermal,C_HP,T));

Par_thermal_inv_Ireg(thermal,plant_type,T)=sum(I_reg,Inv_VNPTtype.l(I_reg,thermal,plant_type,T));
Par_CCS_inv_Ireg(CCS,T)=sum((I_reg,plant_type),Inv_VNPCCStype.l(I_reg,CCS,plant_type,T));

parameter
fuel_costs(I_reg,thermal,T)
;
fuel_costs(I_reg,thermal,T)=Fc(I_reg,thermal,T);

loop(bio_class,
fuel_costs(I_reg,"W",T)$(VBio_nation.l(I_reg,bio_class,T) gt 0 and VBio_nation.l(I_reg,bio_class,T) lt VBio_nation.up(I_reg,bio_class,T))=Fc_national_bio(I_reg,bio_class);
fuel_costs(I_reg,"W",T)$(VBio_nation.l(I_reg,bio_class,T) eq VBio_nation.up(I_reg,bio_class,T))=Fc_national_bio(I_reg,bio_class+1);
         )
;
fuel_costs(I_reg,"W",T)$(VBio_nation.l(I_reg,"bio_class11",T) eq VBio_nation.up(I_reg,"bio_class11",T))=cost_supply_bioEQU.m(T)*((1+Ir)**(T_num(T)-2009));

$if %linear_fossil_cost_supply% == "yes" fuel_costs(I_reg,"B",T)=cost_supply_fuelEQU1.m(T)*((1+Ir)**(T_num(T)-2009));
$if %linear_fossil_cost_supply% == "yes" fuel_costs(I_reg,"H",T)=cost_supply_fuelEQU2.m(T)*((1+Ir)**(T_num(T)-2009));
$if %linear_fossil_cost_supply% == "yes" fuel_costs(I_reg,"G",T)=cost_supply_fuelEQU3.m(T)*((1+Ir)**(T_num(T)-2009));

**************************************************************************
*generation filtered to five year moving averages
set T_nostar(T)
         /2011*2050/
;
alias(T_nostar,T_nostart)
;

parameter
gen_fract(I_reg,out_prop_gen,T)
gen_fract_filtered(I_reg,out_prop_gen,T)
gen_filtered(I_reg,out_prop_gen,T)

gen_fract_Ireg(out_prop_gen,T)
gen_fract_filtered_Ireg(out_prop_gen,T)
gen_filtered_Ireg(out_prop_gen,T)
oneyear(T_nostart)
;
oneyear(T_nostart)=1;

gen_fract(I_reg,out_prop_gen,T)$(Par_Pnew_gen(I_reg,"Tot_generation",T)<>0)=Par_Pnew_gen(I_reg,out_prop_gen,T)/Par_Pnew_gen(I_reg,"Tot_generation",T);
loop(T$(T_num(T) ge 2012 and T_num(T) le 2048),
gen_fract_filtered(I_reg,out_prop_gen,T)=sum(T_nostart$(T_num(T_nostart) ge T_num(T-2) and T_num(T_nostart) le T_num(T+2)),gen_fract(I_reg,out_prop_gen,T_nostart))/sum(T_nostart$(T_num(T_nostart) ge T_num(T-2) and T_num(T_nostart) le T_num(T+2)),oneyear(T_nostart));
)
;
gen_fract_filtered(I_reg,out_prop_gen,"2010")=gen_fract(I_reg,out_prop_gen,"2010");
gen_fract_filtered(I_reg,out_prop_gen,"2011")=(sum(T$(T_num(T) ge 2011 and T_num(T) le 2013),gen_fract(I_reg,out_prop_gen,T))+2*gen_fract(I_reg,out_prop_gen,"2011"))/5;
gen_fract_filtered(I_reg,out_prop_gen,"2012")=(sum(T$(T_num(T) ge 2011 and T_num(T) le 2014),gen_fract(I_reg,out_prop_gen,T))+gen_fract(I_reg,out_prop_gen,"2011"))/5;
gen_fract_filtered(I_reg,out_prop_gen,"2049")=(sum(T$(T_num(T) ge 2047 and T_num(T) le 2050),gen_fract(I_reg,out_prop_gen,T))+gen_fract(I_reg,out_prop_gen,"2050"))/5;
gen_fract_filtered(I_reg,out_prop_gen,"2050")=gen_fract(I_reg,out_prop_gen,"2050");
gen_filtered(I_reg,out_prop_gen,T)=gen_fract_filtered(I_reg,out_prop_gen,T)*Par_Pnew_gen(I_reg,"Tot_generation",T);

gen_fract_Ireg(out_prop_gen,T)=sum(I_reg,Par_Pnew_gen(I_reg,out_prop_gen,T))/sum(I_reg,Par_Pnew_gen(I_reg,"Tot_generation",T));
loop(T$(T_num(T) ge 2012 and T_num(T) le 2048),
gen_fract_filtered_Ireg(out_prop_gen,T)=sum(T_nostart$(T_num(T_nostart) ge T_num(T-2) and T_num(T_nostart) le T_num(T+2)),gen_fract_Ireg(out_prop_gen,T_nostart))/sum(T_nostart$(T_num(T_nostart) ge T_num(T-2) and T_num(T_nostart) le T_num(T+2)),1);
)
;
gen_fract_filtered_Ireg(out_prop_gen,"2010")=gen_fract_Ireg(out_prop_gen,"2010");
gen_fract_filtered_Ireg(out_prop_gen,"2011")=(sum(T$(T_num(T) ge 2011 and T_num(T) le 2013),gen_fract_Ireg(out_prop_gen,T))+2*gen_fract_Ireg(out_prop_gen,"2011"))/5;
gen_fract_filtered_Ireg(out_prop_gen,"2012")=(sum(T$(T_num(T) ge 2011 and T_num(T) le 2014),gen_fract_Ireg(out_prop_gen,T))+gen_fract_Ireg(out_prop_gen,"2011"))/5;
gen_fract_filtered_Ireg(out_prop_gen,"2049")=(sum(T$(T_num(T) ge 2047 and T_num(T) le 2050),gen_fract_Ireg(out_prop_gen,T))+gen_fract_Ireg(out_prop_gen,"2050"))/5;
gen_fract_filtered_Ireg(out_prop_gen,"2050")=gen_fract_Ireg(out_prop_gen,"2050");
gen_filtered_Ireg(out_prop_gen,T)=gen_fract_filtered_Ireg(out_prop_gen,T)*sum(I_reg,Par_Pnew_gen(I_reg,"Tot_generation",T));



***************************************************************************
Variables
Var_Pnew_gen_regions(I_reg,out_prop_gen,T)
Var_Pnew_cap_regions(I_reg,out_prop,T)
Var_Pnew_gen_Ireg(out_prop_gen,T)
Var_Pnew_cap_Ireg(out_prop,T)

Var_gen_filtered_regions(I_reg,out_prop_gen,T)
Var_gen_filtered_I_reg(out_prop_gen,T)


Var_emissions_regions(I_reg,em_prop,T)
Var_emissions_Ireg(em_prop,T)

Var_marg_cost_regions(I_reg,marg_prop,T)
Var_marg_cost_Ireg(marg_prop_Ireg,T)

Var_heat_regions(I_reg,heat_prop,T)
Var_heat_Ireg(heat_prop,T)
Var_thermal_inv_Ireg(thermal,plant_type,T)
Var_CCS_inv_Ireg(CCS,T)

totF(I_reg,thermal,T)
totF_Ireg(thermal,T)

bogus
;

Equations
genEQU(I_reg,out_prop_gen,T)
capEQU(I_reg,out_prop,T)

gen_filteredEQU(I_reg,out_prop_gen,T)
gen_filtered_IregEQU(out_prop_gen,T)


emissionEQU1(em_prop,t)
emissionEQU3(I_reg,em_prop,t)

marginalEQU1(I_reg,marg_prop,T)
marginalEQU2(marg_prop_Ireg,T)

heatEQU1(I_reg,heat_prop,T)
heatEQU2(heat_prop,T)

thermal_invEQU(thermal,plant_type,T)
CCS_invEQU(CCS,T)
gen_IregEQU(out_prop_gen,T)
cap_IregEQU(out_prop,T)
totFEQU(I_reg,thermal,T)
totF_IregEQU(thermal,T)

bogusEQU
;

genEQU(I_reg,out_prop_gen,T)..           Var_Pnew_gen_regions(I_reg,out_prop_gen,T)=E=Par_Pnew_gen(I_reg,out_prop_gen,T);
capEQU(I_reg,out_prop,T)..               Var_Pnew_cap_regions(I_reg,out_prop,T)=E=Par_Pnew_cap(I_reg,out_prop,T);
gen_IregEQU(out_prop_gen,T)..            Var_Pnew_gen_Ireg(out_prop_gen,T)=E=sum(I_reg,Par_Pnew_gen(I_reg,out_prop_gen,T));
cap_IregEQU(out_prop,T)..                Var_Pnew_cap_Ireg(out_prop,T)=E=sum(I_reg,Par_Pnew_cap(I_reg,out_prop,T));


emissionEQU1(em_prop,T)..                Var_emissions_Ireg(em_prop,T)=E=Par_emissions_Ireg(em_prop,T);
emissionEQU3(I_reg,em_prop,T)..          Var_emissions_regions(I_reg,em_prop,T)=E=Par_emissions_regions(I_reg,em_prop,T);

marginalEQU1(I_reg,marg_prop,T)..        Var_marg_cost_regions(I_reg,marg_prop,T)=E=Par_marg_cost(I_reg,marg_prop,T);
marginalEQU2(marg_prop_Ireg,T)..         Var_marg_cost_Ireg(marg_prop_Ireg,T)=E=Par_marg_cost_Ireg(marg_prop_Ireg,T);

heatEQU1(I_reg,heat_prop,T)..            Var_heat_regions(I_reg,heat_prop,T)=E=Par_heat(I_reg,heat_prop,T);
heatEQU2(heat_prop,T)..                  Var_heat_Ireg(heat_prop,T)=E=Par_heat_Ireg(heat_prop,T);

thermal_invEQU(thermal,plant_type,T)..   Var_thermal_inv_Ireg(thermal,plant_type,T)=E=Par_thermal_inv_Ireg(thermal,plant_type,T);
CCS_invEQU(CCS,T)..                      Var_CCS_inv_Ireg(CCS,T)=E=Par_CCS_inv_Ireg(CCS,T);

totFEQU(I_reg,thermal,T)..
                                         totF(I_reg,thermal,T)=E=sum(plant_type,VEFTtype.l(I_reg,thermal,plant_type,T)+
                                         VNFTtype.l(I_reg,thermal,plant_type,T))+VNFCCS.l(I_reg,thermal,T);

totF_IregEQU(thermal,T)..                totF_Ireg(thermal,T)=E=sum((I_reg,plant_type),VEFTtype.l(I_reg,thermal,plant_type,T)+
                                         VNFTtype.l(I_reg,thermal,plant_type,T))+sum(I_reg,VNFCCS.l(I_reg,thermal,T));

gen_filteredEQU(I_reg,out_prop_gen,T)..  Var_gen_filtered_regions(I_reg,out_prop_gen,T)=E=gen_filtered(I_reg,out_prop_gen,T);

gen_filtered_IregEQU(out_prop_gen,T)..   Var_gen_filtered_I_reg(out_prop_gen,T)=E=gen_filtered_Ireg(out_prop_gen,T);




bogusEQU..       bogus=G=0;

model bogus_model /
genEQU,
capEQU,

gen_filteredEQU,
gen_filtered_IregEQU,


emissionEQU1,
emissionEQU3,

marginalEQU1,
marginalEQU2,

heatEQU1,
heatEQU2,

gen_IregEQU,
cap_IregEQU,
totFEQU,
totF_IregEQU,
thermal_invEQU,
CCS_invEQU,
bogusEQU
/
;

Solve bogus_model using LP minimizing bogus;

execute_unload '%out_path%output.gdx'
Var_Pnew_gen_regions,
Var_Pnew_cap_regions,
Var_PNew_gen_Ireg,
Var_Pnew_cap_Ireg,

Var_gen_filtered_regions,
Var_gen_filtered_I_reg,

Var_emissions_regions,

Var_emissions_Ireg,

Var_marg_cost_regions,
Var_marg_cost_Ireg,

Var_heat_regions,
Var_heat_Ireg

Var_thermal_inv_Ireg,
Var_CCS_inv_Ireg,

totF,
totF_Ireg,

fuel_costs

;

*** Ireg ***

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_Pnew_gen_Ireg rng=gen!a1 cdim=1";
execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_gen_filtered_I_reg rng=gen_filtered!a1 cdim=1";
execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_Pnew_cap_Ireg rng=cap!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_emissions_Ireg rng=emissions!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_marg_cost_Ireg rng=Shadow!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_heat_Ireg rng=Heat!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=totF_Ireg rng=Fuel!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_thermal_inv_Ireg rng=Thermal_Inv!a1 cdim=1";
execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_CCS_inv_Ireg rng=CCS_Inv!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_Ireg_%Commit_date%_%Scenario%.xlsx squeeze=0 par=fuel_costs rng=Fuelcosts!a1 cdim=1";

*** Regions ***

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_Pnew_gen_regions rng=gen!a1 cdim=1";
execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_gen_filtered_regions rng=gen_filtered!a1 cdim=1";
execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_Pnew_cap_regions rng=cap!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_emissions_regions rng=emissions!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_marg_cost_regions rng=Shadow!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=Var_heat_regions rng=Heat!a1 cdim=1";

execute "Gdxxrw %out_path%output.gdx o=%out_path%output_regions_%Commit_date%_%Scenario%.xlsx squeeze=0 var=totF rng=Fuel!a1 cdim=1";

