sets
         decade_out(T)
         /2010
         2020
         2030
         2040
         2050/

         ex_new
         /existing
         new/

;


Parameter
export_cap(I_reg,ex_new,decade_out)
export_cap_Ireg(ex_new,decade_out)
;

export_cap(I_reg,"existing",decade_out)=sum(import_reg,EPCON(I_reg,import_reg));
export_cap(I_reg,"new",decade_out)=sum(import_reg,NP_trade.l(I_reg,import_reg,decade_out));

export_cap_Ireg(ex_new,decade_out)=sum(I_reg,export_cap(I_reg,ex_new,decade_out));

variables
V_export_cap(I_reg,decade_out,ex_new)
V_export_cap_Ireg(decade_out,ex_new)
hittepa
;

Equations
exp_capEQU(I_reg,decade_out,ex_new)
exp_cap_IregEQU(decade_out,ex_new)
hittepaEQU
;

exp_capEQU(I_reg,decade_out,ex_new)..    V_export_cap(I_reg,decade_out,ex_new)=E=export_cap(I_reg,ex_new,decade_out);
exp_cap_IregEQU(decade_out,ex_new)..     V_export_cap_Ireg(decade_out,ex_new)=E=export_cap_Ireg(ex_new,decade_out);
hittepaEQU..                             hittepa=G=0;

model hittepa_model /
exp_capEQU,
exp_cap_IregEQU,
hittepaEQU
/
;

solve hittepa_model using LP minimizing hittepa;

execute_unload 'export_cap.gdx'
V_export_cap,
V_export_cap_Ireg
;

execute "Gdxxrw export_cap.gdx o=%out_path%export_cap_%Commit_date%_%Scenario%.xlsx squeeze=0 var=V_export_cap rng=regions!a1 cdim=1";
execute "Gdxxrw export_cap.gdx o=%out_path%export_cap_%Commit_date%_%Scenario%.xlsx squeeze=0 var=V_export_cap_Ireg rng=EU_28!a1 cdim=1";
