Parameters
DB_in_Ireg(input_no,db_prop)
DB_added_Ireg(input_no,db_prop)
eta_el_Pgas(T)


;

loop((nuts2,status_db),
         DB_in_Ireg(input_no,db_prop)$(Db_in(input_no,"nutsnumber") eq nutsnumber(nuts2)
         and Db_in(input_no,"status_db") lt 6)=Db_in(input_no,db_prop);

         DB_added_Ireg(input_no,db_prop)$(Db_in(input_no,"nutsnumber") eq nutsnumber(nuts2)
         and Db_in(input_no,"status_db") eq 7)=Db_in(input_no,db_prop);
)
;

loop(input_no,
         DB_in_Ireg(input_no,"fuel_no")$(DB_in_Ireg(input_no,"fuel_no") eq 9)=90;
         DB_in_Ireg(input_no,"fuel_no")$(DB_in_Ireg(input_no,"fuel_no") eq 10)=900;
         DB_added_Ireg(input_no,"fuel_no")$(DB_added_Ireg(input_no,"fuel_no") eq 9)=90;
         DB_added_Ireg(input_no,"fuel_no")$(DB_added_Ireg(input_no,"fuel_no") eq 10)=900;

);

eta_el_Pgas(T)=eta_el("G","Condens",T)-0.25;

parameter
all_interconnectors(export_reg,import_reg,T)
new_interconnector_costs(export_reg,import_reg,T)
Marginal_el_price(I_reg,T)
marginal_co2_price(T)
fuel_costs(I_reg,thermal,T)
new_interconnector_capacities(export_reg,import_reg,T)
;
all_interconnectors(export_reg,import_reg,T)=NP_trade.l(export_reg,import_reg,T)+EPCON(export_reg,import_reg);
Marginal_el_price(I_reg,T)=-(sum(Time_step,genEQU22.m(I_reg,T,Time_step)*demand_timestep(I_reg,T,Time_step))/sum(Time_step,demand_timestep(I_reg,T,Time_step)))*((1+Ir)**(T_num(T)-2009));
marginal_co2_price(T)=VCO2EQU1.m(T)*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,thermal,T)=Fc(I_reg,thermal,T);
fuel_costs(I_reg,"W",T)$(VBio_nation.l(I_reg,"bio_class11",T) eq VBio_nation.up(I_reg,"bio_class11",T))=cost_supply_bioEQU.m(T)*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,"W",T)$(VBio_market.l(I_reg,T) gt 0)=cost_supply_bioEQU.m(T)*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,"WA",T)=sum(dbcountry$country_to_EPODreg(dbcountry,I_reg),waste_fuelEQU.m(dbcountry,T))*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,"B",T)=cost_supply_fuelEQU1.m(T)*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,"H",T)=cost_supply_fuelEQU2.m(T)*((1+Ir)**(T_num(T)-2009));
fuel_costs(I_reg,"G",T)=cost_supply_fuelEQU3.m(T)*((1+Ir)**(T_num(T)-2009));

new_interconnector_costs(I_reg,import_reg,T)=
                 sum((year)$(T_num(year) gt T_num(T-NP_trade_TL) and T_num(year) le T_num(T)),
                 Inv_NP_trade.l(I_reg,import_reg,year)*NP_trade_Ic(I_reg,import_reg,year));

* Cumulative interconnector capacity for each year
new_interconnector_capacities(I_reg,import_reg,T) = NP_trade.l(I_reg,import_reg,T);

execute_unload '%out_path%Exchange_ELIN_EPOD.gdx'
         DB_in_Ireg,
         DB_added_Ireg,
         eta_tot,
         eta_el,
         eta_elCCS,
         Inv_VNPPgas,
         Inv_VNPGEO,
         Inv_VNPO,
         Inv_VNPCCStype,
         Inv_VNPH,
         Inv_VNPW,
         Inv_VNPTtype,
        Inv_NP_trade,
         Inv_VNPSol,
         tech_life,
         eta_el_Pgas,
         all_interconnectors,
         Marginal_el_price,
         marginal_co2_price,
         fuel_costs,
         new_interconnector_costs,
         new_interconnector_capacities,
         demand
;
execute_unload '%out_path%ELIN_EPOD.gdx'
         all_interconnectors,
         Marginal_el_price,
         marginal_co2_price,
         fuel_costs,
         new_interconnector_costs,
         new_interconnector_capacities,
         demand
;

*** Information from power plant database to Phyton evaluator ***
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%DB_capacities.xls SQ=0 par=DB_in_Ireg rng=DB_capacities!a1"
;

execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%DB_capacities.xls SQ=0 par=DB_added_Ireg rng=DB_cap_added!a1"
;

*** Metadata to Phyton evaluator ***
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%ELIN-EPOD_metadata.xls SQ=0 par=eta_el rng=eta_el!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%ELIN-EPOD_metadata.xls SQ=0 par=eta_el_Pgas rng=eta_el_Pgas!c1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%ELIN-EPOD_metadata.xls SQ=0 par=eta_elCCS rng=eta_elCCS!a1 cdim=1";

execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%ELIN-EPOD_metadata.xls SQ=0 par=eta_tot rng=eta_tot!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%ELIN-EPOD_metadata.xls SQ=0 par=tech_life rng=Tech_life!a4 cdim=0";

*** Investments by ELIN to Phyton evaluator ***
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPPgas rng=peak_gas!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPGEO rng=geothermal!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPO rng=others!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPCCStype rng=CCS!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPH rng=Hydro!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPW rng=Wind!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPTtype rng=Thermal!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_NP_trade rng=Interconnectors!a1 cdim=1";
execute "Gdxxrw %out_path%Exchange_ELIN_EPOD.gdx o=%out_path%Investments_out.xls SQ=0 var=Inv_VNPSol rng=Solar!a1 cdim=1";
