********************************************************************
***      Including DB and processing                             ***
***                                                              ***
********************************************************************

Table Db_in(input_no,db_prop)
$if %update_db% == yes $call=xls2gms "i=%Include_path%db_clean_140221.xlsx" R=all_together!A1:P12415 "O=%Include_path%Db_in.INC"
$include "%Include_path%Db_in.INC"
;

*Db_in(input_no,"decommission")$(Db_in(input_no,"decommission") eq 0)=smax(T,T_num(T)+1);
*display Db_in;

$include 1_assumptions_db
$if %scenario% == "GP" tech_life("U")=45;

loop(en_type,
         Db_in(input_no,"decommission")$(Db_in(input_no,"fuel_no") eq fuel_num(en_type))=Db_in(input_no,"commission")+tech_life(en_type);
         )
;

*** Krnkraft special ***
Db_in(input_no,"decommission")$(Db_in(input_no,"fuel_no") eq fuel_num("U") and Db_in(input_no,"location_no") eq country_num("Belgium"))=Db_in(input_no,"decom_db");
Db_in(input_no,"decommission")$(Db_in(input_no,"fuel_no") eq fuel_num("U") and Db_in(input_no,"location_no") eq country_num("Switzerland"))=Db_in(input_no,"decom_db");
Db_in(input_no,"decommission")$(Db_in(input_no,"fuel_no") eq fuel_num("U") and Db_in(input_no,"location_no") eq country_num("Germany"))=Db_in(input_no,"decom_db");
$if %scenario% =="CM" Db_in(input_no,"decommission")$(Db_in(input_no,"fuel_no") eq fuel_num("U") and Db_in(input_no,"location_no") eq country_num("Germany") and Db_in(input_no,"decom_db") ne 2011)=Db_in(input_no,"decom_db")+7;

*display Db_in;





loop(input_no,

         loop(modelled_status,
                 if(Db_in(input_no,"status_db") eq status_num(modelled_status),
                                   loop(nutS2,
                                           if(Db_in(input_no,"nutsnumber") eq nutsnumber(nuts2),

                                    totsites_res_wind_nuts2_eval(input_no,nuts2,wind,modelled_status)$(
                                    Db_in(input_no,"fuel_no") eq fuel_num(wind))
                                    =1;
                                    totsites_res_P_hydro_eval(input_no,nuts2,hydro,modelled_status)$(
                                    Db_in(input_no,"fuel_no") eq fuel_num(hydro))
                                    =1;
                                    totsites_res_P_others_eval(input_no,nuts2,others,modelled_status)$(
                                    Db_in(input_no,"fuel_no") eq fuel_num(others))
                                    =1;
                                    totsites_res_P_geo_eval(input_no,nuts2,geothermal,modelled_status)$(
                                    Db_in(input_no,"fuel_no") eq fuel_num(geothermal))
                                    =1;

                                         loop(T,
                                          if(Db_in(input_no,"decommission") gt T_num(T),
                                          if(Db_in(input_no,"commission") le T_num(T),


                                             residual_wind_nuts2_eval(input_no,nuts2,wind,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num(wind))
                                              =Db_in(input_no,"capacity_el");
*sites
                                             sites_res_wind_nuts2_eval(input_no,nuts2,wind,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num(wind))
                                             =1;
                                             sites_res_P_hydro_eval(input_no,nuts2,hydro,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num(hydro))
                                             =1;
                                             sites_res_P_others_eval(input_no,nuts2,others,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num(others))
                                             =1;
                                             sites_res_P_geo_eval(input_no,nuts2,geothermal,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num(geothermal))
                                             =1;

                                             residual_PV_nuts2_eval(input_no,nuts2,modelled_status,T)$(
                                             Db_in(input_no,"fuel_no") eq fuel_num("PV"))
                                              =Db_in(input_no,"capacity_el");

$ifi %national%==yes                          loop(i_reg$(Db_in(input_no,"location_no") eq country_num(I_reg)),
$ifi %regional%==yes                          loop(i_reg$regions_to_nuts2(I_reg,nuts2),
                                                               Residual_P_wind_eval(input_no,I_reg,wind,modelled_status,T)$(
                                                               Db_in(input_no,"fuel_no") eq fuel_num(wind))=Db_in(input_no,"capacity_el");

                                                               Residual_P_hydro_eval(input_no,I_reg,hydro,modelled_status,T)$(
                                                               Db_in(input_no,"fuel_no") eq fuel_num(hydro))=Db_in(input_no,"capacity_el");

                                                               Residual_P_others_eval(input_no,I_reg,others,modelled_status,T)$(
                                                               Db_in(input_no,"fuel_no") eq fuel_num(others))=Db_in(input_no,"capacity_el");

                                                               Residual_P_GEO_eval(input_no,I_reg,geothermal,modelled_status,T)$(
                                                               Db_in(input_no,"fuel_no") eq fuel_num(geothermal))=Db_in(input_no,"capacity_el");
                                                         );
                                                 );
                                             );
                                             );
$ifi %national%==yes                          loop(i_reg$(Db_in(input_no,"location_no") eq country_num(I_reg)),
$ifi %regional%==yes                          loop(i_reg$regions_to_nuts2(I_reg,nuts2),
                                                                 loop(plant_type,
                                                                         if(Db_in(input_no,"plant_type_db") eq plant_type_num(plant_type),

                                                                                 totsites_res_P_thermal_eval(input_no,nuts2,thermal,plant_type,modelled_status)$(
                                                                                 Db_in(input_no,"fuel_no") eq fuel_num(thermal))
                                                                                 =1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) eq 2010
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+10 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) eq 2010
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+10 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) eq 2011
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+8 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) eq 2011
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+8 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) eq 2012
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+6 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) eq 2012
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+6 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) eq 2013
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+4 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) eq 2013
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+4 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) eq 2014
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+2 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) eq 2014
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission")+2 gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,thermal_ex_nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) ge 2015
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission") gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,thermal_ex_nuce,plant_type,modelled_status,T)$(T_num(T) ge 2015
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(thermal_ex_nuce)
                                                                                 and Db_in(input_no,"decommission") gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

                                                                                 Residual_P_thermal_eval(input_no,I_reg,nuce,plant_type,modelled_status,eval_prop,T)$(T_num(T) ge 2010
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(nuce)
                                                                                 and Db_in(input_no,"decommission") gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=Db_in(input_no,eval_prop);

                                                                                 sites_res_P_thermal_eval(input_no,nuts2,nuce,plant_type,modelled_status,T)$(T_num(T) ge 2010
                                                                                 and Db_in(input_no,"fuel_no") eq fuel_num(nuce)
                                                                                 and Db_in(input_no,"decommission") gt T_num(T)
                                                                                 and Db_in(input_no,"commission") le T_num(T))=1;

)
;
)
;
)
;
)
;
)
;
)
;
)
;
)
;


*display fuel_num;
residual_wind_nuts2(nuts2,wind,T)=sum((input_no,modelled_status),residual_wind_nuts2_eval(input_no,nuts2,wind,modelled_status,T))/MW_to_GW;
residual_PV_nuts2(nuts2,T)=sum((input_no,modelled_status),residual_PV_nuts2_eval(input_no,nuts2,modelled_status,T))/MW_to_GW;
Residual_P_wind(I_reg,wind,T)=sum((input_no,modelled_status),Residual_P_wind_eval(input_no,I_reg,wind,modelled_status,T))/MW_to_GW;
Residual_P_hydro(I_reg,hydro,T)=sum((input_no,modelled_status),Residual_P_hydro_eval(input_no,I_reg,hydro,modelled_status,T))/MW_to_GW;
Residual_P_others(I_reg,others,T)=sum((input_no,modelled_status),Residual_P_others_eval(input_no,I_reg,others,modelled_status,T))/MW_to_GW;
Residual_P_GEO(I_reg,geothermal,T)=sum((input_no,modelled_status),Residual_P_GEO_eval(input_no,I_reg,geothermal,modelled_status,T))/MW_to_GW;

Residual_P_thermal(I_reg,thermal,plant_type,cap_prop,T,inv_year)=sum((input_no,modelled_status)$(Residual_P_thermal_eval(input_no,I_reg,thermal,plant_type,modelled_status,"commission",T) eq Num_inv_year(inv_year)),Residual_P_thermal_eval(input_no,I_reg,thermal,plant_type,modelled_status,cap_prop,T))/MW_to_GW;
*display residual_P_thermal_eval,residual_P_thermal;

sites_res_wind_nuts2(nuts2,wind,T)=sum((input_no,modelled_status),sites_res_wind_nuts2_eval(input_no,nuts2,wind,modelled_status,T));
sites_res_P_hydro(nuts2,hydro,T)=sum((input_no,modelled_status),sites_res_P_hydro_eval(input_no,nuts2,hydro,modelled_status,T));
sites_res_P_others(nuts2,others,T)=sum((input_no,modelled_status),sites_res_P_others_eval(input_no,nuts2,others,modelled_status,T));
sites_res_P_GEO(nuts2,geothermal,T)=sum((input_no,modelled_status),sites_res_P_GEO_eval(input_no,nuts2,geothermal,modelled_status,T));
sites_res_P_thermal(nuts2,thermal,plant_type,T)=sum((input_no,modelled_status),sites_res_P_thermal_eval(input_no,nuts2,thermal,plant_type,modelled_status,T));

totsites_res_wind_nuts2(nuts2,wind)=sum((input_no,modelled_status),totsites_res_wind_nuts2_eval(input_no,nuts2,wind,modelled_status));
totsites_res_P_hydro(nuts2,hydro)=sum((input_no,modelled_status),totsites_res_P_hydro_eval(input_no,nuts2,hydro,modelled_status));
totsites_res_P_others(nuts2,others)=sum((input_no,modelled_status),totsites_res_P_others_eval(input_no,nuts2,others,modelled_status));
totsites_res_P_GEO(nuts2,geothermal)=sum((input_no,modelled_status),totsites_res_P_GEO_eval(input_no,nuts2,geothermal,modelled_status));
totsites_res_P_thermal(nuts2,thermal,plant_type)=sum((input_no,modelled_status),totsites_res_P_thermal_eval(input_no,nuts2,thermal,plant_type,modelled_status));

$ontext
display
sites_res_wind_nuts2
sites_res_P_hydro
sites_res_P_others
sites_res_P_GEO
sites_res_P_thermal

totsites_res_wind_nuts2
totsites_res_P_hydro
totsites_res_P_others
totsites_res_P_GEO
totsites_res_P_thermal
;
$offtext



execute_unload 'pre_process.gdx'
         residual_wind_nuts2,
         Residual_P_wind,
         residual_P_hydro,
         residual_P_thermal
;

execute "Gdxxrw pre_process.gdx o=test.xls SQ=0 par=residual_wind_nuts2 rng=wind_nuts!a1 rdim=2"
;
execute "Gdxxrw pre_process.gdx o=test.xls SQ=0 par=Residual_P_wind rng=wind!a1 rdim=2"
;
execute "Gdxxrw pre_process.gdx o=test.xls SQ=0 par=Residual_P_hydro rng=hydro!a1 rdim=2"
;
execute "Gdxxrw pre_process.gdx o=test.xls SQ=0 par=Residual_P_thermal rng=thermal!a1 cdim=1"
;
