
Equations
*** Equations in model file ***
system_costEQU                           Objective function total system cost NPV

Prod_costEQU(I_reg,T)                    Production costs [M]
disprod_costEQU(I_reg,T)                 Discounted prod costs NPV [M]

aninv_costEQU(I_reg,T)                   Annualized investment costs [M]
disaninv_costEQU(I_reg,T)                Discounted annualized inv costs NPV [M]

genEQU2(I_reg,T,Time_step)                         Total generation in each region [TWh]
genEQU22(I_reg,T,Time_step)
genEQU1(T)                               Total generation all regions [TWh]

EE_importEQU11(I_reg,export_reg,T,Time_step)
EE_importEQU1(I_reg,T,Time_step)
EE_exportEQU11(I_reg,import_reg,T,Time_step)
EE_exportEQU1(I_reg,T,Time_step)
trade_balanceEEEQU(import_reg,export_reg,T,Time_step)

NP_trade_EQU1(I_reg,import_reg,T)
NP_trade_EQU2(I_reg,import_reg,year)
NE_importEQU11(I_reg,export_reg,T,Time_step)
NE_importEQU1(I_reg,T,Time_step)
NE_exportEQU11(I_reg,import_reg,T,Time_step)
NE_exportEQU1(I_reg,T,Time_step)
trade_balanceNEEQU(import_reg,export_reg,T,Time_step)

tot_RESEQU(T)                            Total RES electrcity generation
$ifi %national%==yes tot_RES_IregEQU(I_reg,T)
$ifi %regional%==yes tot_RES_IregEQU(dbcountry,T)
*$ifi %national%==yes tot_solar_IregEQU(I_reg,T)
*$ifi %regional%==yes tot_solar_IregEQU(dbcountry,T)
*Boundary condition: Biomass and waste consumption levels from national and international resources
$ifi %national%==yes bio_fuelEQU(I_reg,T)
$ifi %regional%==yes bio_fuelEQU(dbcountry,T)
$if %linear_biomarket_cost_supply% == "yes"      cost_supply_bioEQU(T)
$if %linear_biomarket_cost_supply% == "yes"      cost_supply_biomarketEQU(T)
$ifi %national%==yes waste_fuelEQU(I_reg,T)
$ifi %regional%==yes waste_fuelEQU(dbcountry,T)
lignite_fuelEQU(I_reg,T)

$ifi %national%==yes totP_nuclear_IregEQU(I_reg,T)
$ifi %regional%==yes totP_nuclear_dbcountryEQU(dbcountry,T)

VCO2EQU1(T)                              Total CO2 emissions
totE_hydro_ROEQU(I_reg,T)
totE_hydro_REGEQU(I_reg,T)
totE_BP_EQU(I_reg,T)
totH_CHP_EQU(I_reg,T,Time_step)
$ifthen %capacity_constraint%==on
         system_capEQU(T)
         system_capEQU1(I_reg,T)
$endif
*** Equations in system structure ***

VEET_EQU1(I_reg,thermal,plant_type,T,tenyear_period,Time_step)
VEET_EQU11(I_reg,thermal,plant_type,T)
VEHT_EQU1(I_reg,thermal,C_HP,T,tenyear_period,Time_step)
VEET_EQU(I_reg,thermal,plant_type,T)
VEHT_EQU(I_reg,thermal,C_HP,T)

VNPTtype_EQU1(I_reg,thermal,plant_type,T,year)
VNPTtype_EQU11(I_reg,thermal,plant_type,T,fiveyear_period)
VNPTtype_EQU(I_reg,thermal,plant_type,T)
*VNPHT_EQU(I_reg,thermal,C_HP,T)
*VNPBT_EQU(I_reg,thermal,plant_type,T)
VNPW_EQU(nuts2,wind_type,T)
*VNPW_EQU2(I_reg,wind_type,T)
VNPH_EQU(I_reg,hydro_class,T)
VNPCCStype_EQU1(I_reg,CCS,plant_type,T,year)
VNPCCStype_EQU11(I_reg,CCS,plant_type,T,fiveyear_period)
VNPCCStype_EQU(I_reg,CCS,plant_type,T)
*VNPBCCS_EQU(I_reg,CCS,plant_type,T)
VNPO_EQU(I_reg,non_PV,T)
VNPGEO_EQU(I_reg,geothermal,T)
VNETtype_EQU1(I_reg,thermal,plant_type,T,fiveyear_period,Time_step)
VNETtype_EQU11(I_reg,thermal,plant_type,T)
VNETtype_EQU111(I_reg,Base_load,CON,T)
VNETtype_EQU112(I_reg,Base_load,CON,T)
VNETtype_EQU113(I_reg,Base_load,CON,T)
VNETtype_EQU114(I_reg,Base_load,CON,T)
VNETtype_EQU115(I_reg,Base_load,CON,T)
VNETtype_EQU116(I_reg,Base_load,CON,T)
VNETtype_EQU117(I_reg,Base_load,CON,T)
VNETtype_EQU118(I_reg,Base_load,CON,T)
*VNETtype_EQU12(I_reg,thermal,plant_type,T)
*VNETtype_EQU11(I_reg,thermal,plant_type,T,fiveyear_period,Time_step)
VNHTtype_EQU1(I_reg,thermal,C_HP,T,fiveyear_period,Time_step)
VNETtype_EQU(I_reg,thermal,plant_type,T)
VNHTtype_EQU(I_reg,thermal,C_HP,T)
VNEW_nuts_EQU1(nuts2,wind_type,T,Time_step)
VNEW_EQU1(I_reg,wind_type,T,Time_step)
VNEW_EQU(I_reg,wind_type,T)


VEEH_REG_EQU1(I_reg,T,Time_step)
VEEH_REG_EQU(I_reg,T)
VNEH_RO_EQU1(I_reg,T,Time_step)
VNEH_RO_EQU(I_reg,T)
VNEH_REG_EQU1(I_reg,T,Time_step)
VNEH_REG_EQU(I_reg,T)

VNECCStype_EQU1(I_reg,CCS,plant_type,T,fiveyear_period,Time_step)
VNECCStype_EQU111(I_reg,CCS,CON,T)
VNECCStype_EQU112(I_reg,CCS,CON,T)
VNECCStype_EQU113(I_reg,CCS,CON,T)
VNECCStype_EQU114(I_reg,CCS,CON,T)
VNECCStype_EQU115(I_reg,CCS,CON,T)
VNECCStype_EQU116(I_reg,CCS,CON,T)
VNECCStype_EQU117(I_reg,CCS,CON,T)
VNECCStype_EQU118(I_reg,CCS,CON,T)
VNECCStype_EQU11(I_reg,CCS,plant_type,T)
*VNECCStype_EQU11(I_reg,CCS,plant_type,T,fiveyear_period,Time_step)
VNECCStype_EQU(I_reg,CCS,plant_type,T)
VNEO_EQU1(I_reg,non_PV,T,Time_step)
VNEO_EQU(I_reg,non_PV,T)
VNEGEO_EQU(I_reg,geothermal,T)

VEFT_EQU1(I_reg,thermal,plant_type,T,tenyear_period,Time_step)
VEFT_EQU(I_reg,thermal,plant_type,T)

VNFTtype_EQU1(I_reg,thermal,plant_type,T,fiveyear_period,Time_step)
VNFTtype_EQU(I_reg,thermal,plant_type,T)
VNFCCS_EQU1(I_reg,CCS,plant_type,T,fiveyear_period,Time_step)
VNFCCS_EQU(I_reg,CCS,plant_type,T)
VNFCCS_EQUx1(I_reg,CCS_fuels,T)
VNFCCS_EQUx2(I_reg,CCS_fuels,T)
VNFCCS_EQUx3(I_reg,CCS_fuels,T)
VNFCCS_EQUx4(I_reg,CCS_fuels,T)

*** Peak gas equ
VNPPgas_EQU1(I_reg,T,year)
VNPPgas_EQU11(I_reg,T,fiveyear_period)
VNPPgas_EQU(I_reg,T)
VNEPgas_EQU1(I_reg,T,fiveyear_period,Time_step)
VNEPgas_EQU11(I_reg,T)
VNEPgas_EQU(I_reg,T)
VNFPgas_EQU1(I_reg,T,fiveyear_period,Time_step)
VNFPgas_EQU(I_reg,T)

VNPSol_EQU(solar_type,solar_sites,T)
*VNPSol_EQU2(I_reg,T)
VNESol_sites_EQU1(solar_type,solar_sites,T,Time_step)
VNESol_EQU1(solar_type,I_reg,T,Time_step)
VNESol_EQU(solar_type,I_reg,T)
tot_solar_area_centralEQU(solar_sites,T)
tot_solar_area_buildingEQU(solar_sites,T)
*tot_solarEQU(I_reg,T)
*tot_P_VRES_IregEQU(I_reg,T)

* Storage equations
VNEStorageEQU(storage_systems,I_reg,T)
StorageBalanceEQU(storage_systems,I_reg,T,Time_step)
StorageBalanceBoundaryEQU(storage_systems,I_reg,T,Time_step)
StorageLimitEQU(storage_systems,I_reg,T,Time_step)
StorageLimitBoundaryEQU(storage_systems,I_reg,T,Time_step)

ThermalStorageInEQU(I_reg,T,Time_step)
ThermalStorageOutEQU(I_reg,T,Time_step)


*$if %linear_fossil_cost_supply% == "yes" gas_fuelEQU(I_reg,T)
$if %linear_fossil_cost_supply% == "yes" cost_supply_fuelEQU1(T)
$if %linear_fossil_cost_supply% == "yes" cost_supply_fuelEQU2(T)
$if %linear_fossil_cost_supply% == "yes" cost_supply_fuelEQU3(T)
*$if %linear_fossil_cost_supply% == "yes" Price_cost_supply_fuelEQU(cost_supply,T)
$if %linear_fossil_cost_supply% == "yes" cost_supply_fuelEQU(T)

$if %solar_grid_parity% == "yes" solar_value_EQU(I_reg,T)
;
