********************************************************************
***      Main program of model                                   ***
***                                                              ***
********************************************************************
$setglobal Commit_date 150612_v1

$setglobal scenario_date 150525

$setglobal out_path "D:\Users\norwood\Dropbox (SustainableBuilding)\data elin\results\No back pressure plants sens\"
$if not dexist '%out_path%' $abort "Output directory does not exist"
********************************************************************
$setglobal update_scenario no

$setglobal linear_fossil_cost_supply yes
$setglobal linear_biomarket_cost_supply yes

*choose wether onshore aquiphere storage is allowed
$setglobal onshore_storage no

* set both solar_grid_parity and net_metering to "yes" if you want to run with net_metering
$setglobal solar_grid_parity no
$setglobal net_metering no

* Options on capacity constraints, on, off or off_with_fill
$setglobal capacity_constraint on

$include 2_options_validation

$include 2_Sets_model
$include 2_Parameters_model
$include 2_scenario_ELIN
$ifi %national%==yes $include 2_NationalScenario.gms
$ifi %regional%==yes $include 2_RegionalScenario.gms
$include 2_Scenario_calc
*$offlisting

$include 2_Time_step

$include 2_Variables_model
$include 2_Equations
$include 2_system_structure
$include 2_Boundary_cond
*$onlisting
$include 2_model_ELIN

$include 2_post_processing

$ifi %national%==yes execute_unload '%out_path%national_ELIN_%Commit_date%.gdx';
$ifi %regional%==yes execute_unload '%out_path%regional_ELIN_%Commit_date%.gdx';
