*****************************************************
*** Identification of residual capacities from db ***
*****************************************************
Parameters
res_cap_2005(input_no,db_prop)
res_cap_2030(input_no,db_prop)
DB_in_Ireg(input_no,db_prop)
DB_added_Ireg(input_no,db_prop)
;

$ontext
loop((I_reg,en_type,modelled_status),
         res_cap_2005(input_no,db_prop)$(Db_in(input_no,"location_no") eq reg_num(I_reg)
                  and Db_in(input_no,"fuel_no") eq fuel_num(en_type)
                  and Db_in(input_no,"status_db") eq status_num(modelled_status)
                  and Db_in(input_no,"decommission") gt T_num("2005")
                  and Db_in(input_no,"commission") gt T_num("2005")-tech_life(en_type)
                  and Db_in(input_no,"commission") le T_num("2005"))=Db_in(input_no,db_prop);
*$ontext
         res_cap_2030(input_no,db_prop)$(Db_in(input_no,"location_no") eq reg_num(I_reg)
                  and Db_in(input_no,"fuel_no") eq fuel_num(en_type)
                  and Db_in(input_no,"status_db") eq status_num(modelled_status)
                  and Db_in(input_no,"decommission") gt T_num("2030")
                  and Db_in(input_no,"commission") gt T_num("2030")-tech_life(en_type)
                  and Db_in(input_no,"commission") le T_num("2030"))=Db_in(input_no,db_prop);
)
$offtext
;
loop((I_reg,status_db),
         DB_in_Ireg(input_no,db_prop)$(Db_in(input_no,"location_no") eq reg_num(I_reg)
         and Db_in(input_no,"status_db") lt 6)=Db_in(input_no,db_prop);
)
;

loop((I_reg,status_db),
         DB_added_Ireg(input_no,db_prop)$(Db_in(input_no,"location_no") eq reg_num(I_reg)
         and Db_in(input_no,"status_db") eq 7)=Db_in(input_no,db_prop);
)
;

