Parameters
tot_cap_thermal(I_reg,thermal,plant_type,T)
;

tot_cap_thermal(I_reg,thermal,plant_type,T)=sum(inv_year,Residual_P_thermal(I_reg,thermal,plant_type,"capacity_el",T,inv_year))
                                         +VNPTtype.l(I_reg,thermal,plant_type,T)
;
tot_cap_thermal(I_reg,"G","Condens",T)=tot_cap_thermal(I_reg,"G","Condens",T)+sum(year,VNPPgas1.l(I_reg,T,year))
;
parameter
new_interconnectors(export_reg,import_reg,T)
;
new_interconnectors(export_reg,import_reg,T)=NP_trade.l(export_reg,import_reg,T);

execute_unload 'POEM_out.gdx'
         tot_cap_thermal,
         EPCON,
         new_interconnectors
;
execute "Gdxxrw POEM_out.gdx o=%out_path%POEM_cap_%Commit_date%_%Scenario%.xlsx SQ=0 par=tot_cap_thermal rng=tot_thermal_cap!a1"
;
execute "Gdxxrw POEM_out.gdx o=%out_path%POEM_cap_%Commit_date%_%Scenario%.xlsx SQ=0 par=EPCON rng=Exist_interconnect_cap!a1"
;
execute "Gdxxrw POEM_out.gdx o=%out_path%POEM_cap_%Commit_date%_%Scenario%.xlsx SQ=0 par=new_interconnectors rng=new_interconnect_cap!a1"
;
