classdef TubeCollector < ThermalCollector
    %CONCENTRATINGTHERMALCOLLECTOR Concentrating thermal collector class
    %   Concentrating thermal collectors are implemented identically to
    %   ThermalCollectors, but they are defined as a separate class so one
    %   can see they are not the same, namely they operate only on direct
    %   irradiation, instead of both direct and diffuse irradiation.
    
    properties
    end
    
    methods
        function tubeCollector = TubeCollector(f, c1, c2, iamLvalues, iamTvalues, wp, area)
            % Call superclass constructor, ThermalCollector
            tubeCollector = tubeCollector@ThermalCollector(f,c1,c2,iamLvalues, iamTvalues, wp, area);
        end
        
    end
    
end

